aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Core

Contents

- Logging
- Response
  - Metadata in responses
  - Response data consumers
  - Memory response
  - List response
  - Exception types
  - Response deconstruction helpers
    - XML
- Query
  - Expiration
  - Signature
  - Query construction helpers
- Transactions
- Credentials
- Service configuration
- HTTP types

Synopsis

- class Loggable a where
  - toLogText :: a -> Text
- data Response m a = Response {
  - responseMetadata :: m
  - responseResult :: Either SomeException a
  }
- readResponse :: MonadThrow n => Response m a -> n a
- readResponseIO :: MonadIO io => Response m a -> io a
- tellMetadata :: m -> Response m ()
- tellMetadataRef :: Monoid m => IORef m -> m -> IO ()
- mapMetadata :: (m -> n) -> Response m a -> Response n a
- type HTTPResponseConsumer a = Response (ConduitM () ByteString (ResourceT IO) ()) -> ResourceT IO a
- class Monoid (ResponseMetadata resp) => ResponseConsumer req resp where
  - type ResponseMetadata resp
  - responseConsumer :: Request -> req -> IORef (ResponseMetadata resp) -> HTTPResponseConsumer resp
- class AsMemoryResponse resp where
  - type MemoryResponse resp
  - loadToMemory :: resp -> ResourceT IO (MemoryResponse resp)
- class ListResponse resp item | resp -> item where
  - listResponse :: resp -> [item]
- newtype XmlException = XmlException {
  - xmlErrorMessage :: String
  }
- newtype HeaderException = HeaderException {
  - headerErrorMessage :: String
  }
- newtype FormException = FormException {
  - formErrorMesage :: String
  }
- newtype NoCredentialsException = NoCredentialsException {
  - noCredentialsErrorMessage :: String
  }
- throwStatusCodeException :: MonadThrow m => Request -> Response (ConduitM () ByteString m ()) -> m a
- readHex2 :: [Char] -> Maybe Word8
- elContent :: Text -> Cursor -> [Text]
- elCont :: Text -> Cursor -> [String]
- force :: MonadThrow m => String -> [a] -> m a
- forceM :: MonadThrow m => String -> [m a] -> m a
- textReadBool :: MonadThrow m => Text -> m Bool
- textReadInt :: (MonadThrow m, Num a) => Text -> m a
- readInt :: (MonadThrow m, Num a) => String -> m a
- xmlCursorConsumer :: Monoid m => (Cursor -> Response m a) -> IORef m -> HTTPResponseConsumer a
- data SignedQuery = SignedQuery {
  - sqMethod :: !Method
  - sqProtocol :: !Protocol
  - sqHost :: !ByteString
  - sqPort :: !Int
  - sqPath :: !ByteString
  - sqQuery :: !Query
  - sqDate :: !(Maybe UTCTime)
  - sqAuthorization :: !(Maybe (IO ByteString))
  - sqContentType :: !(Maybe ByteString)
  - sqContentMd5 :: !(Maybe (Digest MD5))
  - sqAmzHeaders :: !RequestHeaders
  - sqOtherHeaders :: !RequestHeaders
  - sqBody :: !(Maybe RequestBody)
  - sqStringToSign :: !ByteString
  }
- data NormalQuery
- data UriOnlyQuery
- queryToHttpRequest :: SignedQuery -> IO Request
- queryToUri :: SignedQuery -> ByteString
- data TimeInfo
  - = Timestamp
  - | ExpiresAt {
    - fromExpiresAt :: UTCTime
    }
  - | ExpiresIn {
    - fromExpiresIn :: NominalDiffTime
    }
- data AbsoluteTimeInfo
  - = AbsoluteTimestamp {
    - fromAbsoluteTimestamp :: UTCTime
    }
  - | AbsoluteExpires {
    - fromAbsoluteExpires :: UTCTime
    }
- fromAbsoluteTimeInfo :: AbsoluteTimeInfo -> UTCTime
- makeAbsoluteTimeInfo :: TimeInfo -> UTCTime -> AbsoluteTimeInfo
- data SignatureData = SignatureData {
  - signatureTimeInfo :: AbsoluteTimeInfo
  - signatureTime :: UTCTime
  - signatureCredentials :: Credentials
  }
- signatureData :: TimeInfo -> Credentials -> IO SignatureData
- class SignQuery request where
  - type ServiceConfiguration request :: Type -> Type
  - signQuery :: request -> ServiceConfiguration request queryType -> SignatureData -> SignedQuery
- data AuthorizationHash
  - = HmacSHA1
  - | HmacSHA256
- amzHash :: AuthorizationHash -> ByteString
- signature :: Credentials -> AuthorizationHash -> ByteString -> ByteString
- credentialV4 :: SignatureData -> ByteString -> ByteString -> ByteString
- authorizationV4 :: SignatureData -> AuthorizationHash -> ByteString -> ByteString -> ByteString -> ByteString -> IO ByteString
- authorizationV4' :: SignatureData -> AuthorizationHash -> ByteString -> ByteString -> ByteString -> ByteString -> ByteString
- signatureV4 :: SignatureData -> AuthorizationHash -> ByteString -> ByteString -> ByteString -> ByteString
- queryList :: (a -> [(ByteString, ByteString)]) -> ByteString -> [a] -> [(ByteString, ByteString)]
- awsBool :: Bool -> ByteString
- awsTrue :: ByteString
- awsFalse :: ByteString
- fmtTime :: String -> UTCTime -> ByteString
- fmtRfc822Time :: UTCTime -> ByteString
- rfc822Time :: String
- fmtAmzTime :: UTCTime -> ByteString
- fmtTimeEpochSeconds :: UTCTime -> ByteString
- parseHttpDate :: String -> Maybe UTCTime
- httpDate1 :: String
- textHttpDate :: UTCTime -> Text
- iso8601UtcDate :: String
- class (SignQuery r, ResponseConsumer r a, Loggable (ResponseMetadata a)) => Transaction r a | r -> a
- class Transaction r a => IteratedTransaction r a | r -> a where
  - nextIteratedRequest :: r -> a -> Maybe r
- data Credentials = Credentials {
  - accessKeyID :: ByteString
  - secretAccessKey :: ByteString
  - v4SigningKeys :: IORef [V4Key]
  - iamToken :: Maybe ByteString
  - isAnonymousCredentials :: Bool
  }
- makeCredentials :: MonadIO io => ByteString -> ByteString -> io Credentials
- credentialsDefaultFile :: MonadIO io => io (Maybe FilePath)
- credentialsDefaultKey :: Text
- loadCredentialsFromFile :: MonadIO io => FilePath -> Text -> io (Maybe Credentials)
- loadCredentialsFromEnv :: MonadIO io => io (Maybe Credentials)
- loadCredentialsFromInstanceMetadata :: MonadIO io => io (Maybe Credentials)
- loadCredentialsFromEnvOrFile :: MonadIO io => FilePath -> Text -> io (Maybe Credentials)
- loadCredentialsFromEnvOrFileOrInstanceMetadata :: MonadIO io => FilePath -> Text -> io (Maybe Credentials)
- loadCredentialsDefault :: MonadIO io => io (Maybe Credentials)
- anonymousCredentials :: MonadIO io => io Credentials
- class DefaultServiceConfiguration config where
  - defServiceConfig :: config
  - debugServiceConfig :: config
- data Protocol
  - = HTTP
  - | HTTPS
- defaultPort :: Protocol -> Int
- data Method
  - = Head
  - | Get
  - | PostQuery
  - | Post
  - | Put
  - | Delete
- httpMethod :: Method -> Method

# Logging

class Loggable a where #

Types that can be logged (textually).

Methods

toLogText :: a -> Text #

#### Instances

Instances details

Loggable DdbResponse # |
Instance details Defined in Aws.DynamoDb.Core Methods toLogText :: DdbResponse -> Text #
Loggable IamMetadata # |
Instance details Defined in Aws.Iam.Core Methods toLogText :: IamMetadata -> Text #
Loggable S3Metadata # |
Instance details Defined in Aws.S3.Core Methods toLogText :: S3Metadata -> Text #
Loggable SesMetadata # |
Instance details Defined in Aws.Ses.Core Methods toLogText :: SesMetadata -> Text #
Loggable SdbMetadata # |
Instance details Defined in Aws.SimpleDb.Core Methods toLogText :: SdbMetadata -> Text #
Loggable SqsMetadata # |
Instance details Defined in Aws.Sqs.Core Methods toLogText :: SqsMetadata -> Text #

# Response

## Metadata in responses

data Response m a #

A response with metadata. Can also contain an error response, or an internal error, via `Attempt`.

Response forms a Writer-like monad.

Constructors

Response |

Fields

- responseMetadata :: m
- responseResult :: Either SomeException a

#### Instances

Instances details

Monoid m => MonadThrow (Response m) # |
Instance details Defined in Aws.Core Methods throwM :: (HasCallStack, Exception e) => e -> Response m a #
Monoid m => Applicative (Response m) # |
Instance details Defined in Aws.Core Methods pure :: a -> Response m a # (<*>) :: Response m (a -> b) -> Response m a -> Response m b # liftA2 :: (a -> b -> c) -> Response m a -> Response m b -> Response m c # (*>) :: Response m a -> Response m b -> Response m b # (<*) :: Response m a -> Response m b -> Response m a #
Functor (Response m) # |
Instance details Defined in Aws.Core Methods fmap :: (a -> b) -> Response m a -> Response m b # (<$) :: a -> Response m b -> Response m a #
Monoid m => Monad (Response m) # |
Instance details Defined in Aws.Core Methods (>>=) :: Response m a -> (a -> Response m b) -> Response m b # (>>) :: Response m a -> Response m b -> Response m b # return :: a -> Response m a #
(Show m, Show a) => Show (Response m a) # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> Response m a -> ShowS # show :: Response m a -> String # showList :: [Response m a] -> ShowS #

readResponse :: MonadThrow n => Response m a -> n a #

Read a response result (if it's a success response, fail otherwise).

readResponseIO :: MonadIO io => Response m a -> io a #

Read a response result (if it's a success response, fail otherwise). In MonadIO.

tellMetadata :: m -> Response m () #

An empty response with some metadata.

tellMetadataRef :: Monoid m => IORef m -> m -> IO () #

Add metadata to an `IORef` (using `mappend`).

mapMetadata :: (m -> n) -> Response m a -> Response n a #

Apply a function to the metadata.

## Response data consumers

type HTTPResponseConsumer a = Response (ConduitM () ByteString (ResourceT IO) ()) -> ResourceT IO a #

A full HTTP response parser. Takes HTTP status, response headers, and response body.

class Monoid (ResponseMetadata resp) => ResponseConsumer req resp where #

Class for types that AWS HTTP responses can be parsed into.

The request is also passed for possibly required additional metadata.

Note that for debugging, there is an instance for `ByteString`.

Associated Types

type ResponseMetadata resp #

Metadata associated with a response. Typically there is one metadata type for each AWS service.

Methods

responseConsumer :: Request -> req -> IORef (ResponseMetadata resp) -> HTTPResponseConsumer resp #

Response parser. Takes the corresponding AWS request, the derived `http-client` request (for error reporting), an `IORef` for metadata, and HTTP response data.

#### Instances

Instances details

ResponseConsumer AddUserToGroup AddUserToGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.AddUserToGroup

Associated Types

type ResponseMetadata AddUserToGroupResponse |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type ResponseMetadata AddUserToGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> AddUserToGroup -> IORef (ResponseMetadata AddUserToGroupResponse) -> HTTPResponseConsumer AddUserToGroupResponse #

ResponseConsumer CreateAccessKey CreateAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateAccessKey

Associated Types

type ResponseMetadata CreateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type ResponseMetadata CreateAccessKeyResponse = IamMetadata

Methods

responseConsumer :: Request -> CreateAccessKey -> IORef (ResponseMetadata CreateAccessKeyResponse) -> HTTPResponseConsumer CreateAccessKeyResponse #

ResponseConsumer CreateGroup CreateGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateGroup

Associated Types

type ResponseMetadata CreateGroupResponse |
Instance details Defined in Aws.Iam.Commands.CreateGroup type ResponseMetadata CreateGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> CreateGroup -> IORef (ResponseMetadata CreateGroupResponse) -> HTTPResponseConsumer CreateGroupResponse #

ResponseConsumer CreateUser CreateUserResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateUser

Associated Types

type ResponseMetadata CreateUserResponse |
Instance details Defined in Aws.Iam.Commands.CreateUser type ResponseMetadata CreateUserResponse = IamMetadata

Methods

responseConsumer :: Request -> CreateUser -> IORef (ResponseMetadata CreateUserResponse) -> HTTPResponseConsumer CreateUserResponse #

ResponseConsumer DeleteAccessKey DeleteAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteAccessKey

Associated Types

type ResponseMetadata DeleteAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type ResponseMetadata DeleteAccessKeyResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteAccessKey -> IORef (ResponseMetadata DeleteAccessKeyResponse) -> HTTPResponseConsumer DeleteAccessKeyResponse #

ResponseConsumer DeleteGroup DeleteGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroup

Associated Types

type ResponseMetadata DeleteGroupResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type ResponseMetadata DeleteGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteGroup -> IORef (ResponseMetadata DeleteGroupResponse) -> HTTPResponseConsumer DeleteGroupResponse #

ResponseConsumer DeleteGroupPolicy DeleteGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroupPolicy

Associated Types

type ResponseMetadata DeleteGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type ResponseMetadata DeleteGroupPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteGroupPolicy -> IORef (ResponseMetadata DeleteGroupPolicyResponse) -> HTTPResponseConsumer DeleteGroupPolicyResponse #

ResponseConsumer DeleteUser DeleteUserResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteUser

Associated Types

type ResponseMetadata DeleteUserResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUser type ResponseMetadata DeleteUserResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteUser -> IORef (ResponseMetadata DeleteUserResponse) -> HTTPResponseConsumer DeleteUserResponse #

ResponseConsumer DeleteUserPolicy DeleteUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteUserPolicy

Associated Types

type ResponseMetadata DeleteUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type ResponseMetadata DeleteUserPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteUserPolicy -> IORef (ResponseMetadata DeleteUserPolicyResponse) -> HTTPResponseConsumer DeleteUserPolicyResponse #

ResponseConsumer GetGroupPolicy GetGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.GetGroupPolicy

Associated Types

type ResponseMetadata GetGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type ResponseMetadata GetGroupPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> GetGroupPolicy -> IORef (ResponseMetadata GetGroupPolicyResponse) -> HTTPResponseConsumer GetGroupPolicyResponse #

ResponseConsumer GetUser GetUserResponse # |

Instance details

Defined in Aws.Iam.Commands.GetUser

Associated Types

type ResponseMetadata GetUserResponse |
Instance details Defined in Aws.Iam.Commands.GetUser type ResponseMetadata GetUserResponse = IamMetadata

Methods

responseConsumer :: Request -> GetUser -> IORef (ResponseMetadata GetUserResponse) -> HTTPResponseConsumer GetUserResponse #

ResponseConsumer GetUserPolicy GetUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.GetUserPolicy

Associated Types

type ResponseMetadata GetUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type ResponseMetadata GetUserPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> GetUserPolicy -> IORef (ResponseMetadata GetUserPolicyResponse) -> HTTPResponseConsumer GetUserPolicyResponse #

ResponseConsumer ListAccessKeys ListAccessKeysResponse # |

Instance details

Defined in Aws.Iam.Commands.ListAccessKeys

Associated Types

type ResponseMetadata ListAccessKeysResponse |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type ResponseMetadata ListAccessKeysResponse = IamMetadata

Methods

responseConsumer :: Request -> ListAccessKeys -> IORef (ResponseMetadata ListAccessKeysResponse) -> HTTPResponseConsumer ListAccessKeysResponse #

ResponseConsumer ListGroupPolicies ListGroupPoliciesResponse # |

Instance details

Defined in Aws.Iam.Commands.ListGroupPolicies

Associated Types

type ResponseMetadata ListGroupPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type ResponseMetadata ListGroupPoliciesResponse = IamMetadata

Methods

responseConsumer :: Request -> ListGroupPolicies -> IORef (ResponseMetadata ListGroupPoliciesResponse) -> HTTPResponseConsumer ListGroupPoliciesResponse #

ResponseConsumer ListGroups ListGroupsResponse # |

Instance details

Defined in Aws.Iam.Commands.ListGroups

Associated Types

type ResponseMetadata ListGroupsResponse |
Instance details Defined in Aws.Iam.Commands.ListGroups type ResponseMetadata ListGroupsResponse = IamMetadata

Methods

responseConsumer :: Request -> ListGroups -> IORef (ResponseMetadata ListGroupsResponse) -> HTTPResponseConsumer ListGroupsResponse #

ResponseConsumer ListMfaDevices ListMfaDevicesResponse # |

Instance details

Defined in Aws.Iam.Commands.ListMfaDevices

Associated Types

type ResponseMetadata ListMfaDevicesResponse |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices type ResponseMetadata ListMfaDevicesResponse = IamMetadata

Methods

responseConsumer :: Request -> ListMfaDevices -> IORef (ResponseMetadata ListMfaDevicesResponse) -> HTTPResponseConsumer ListMfaDevicesResponse #

ResponseConsumer ListUserPolicies ListUserPoliciesResponse # |

Instance details

Defined in Aws.Iam.Commands.ListUserPolicies

Associated Types

type ResponseMetadata ListUserPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type ResponseMetadata ListUserPoliciesResponse = IamMetadata

Methods

responseConsumer :: Request -> ListUserPolicies -> IORef (ResponseMetadata ListUserPoliciesResponse) -> HTTPResponseConsumer ListUserPoliciesResponse #

ResponseConsumer ListUsers ListUsersResponse # |

Instance details

Defined in Aws.Iam.Commands.ListUsers

Associated Types

type ResponseMetadata ListUsersResponse |
Instance details Defined in Aws.Iam.Commands.ListUsers type ResponseMetadata ListUsersResponse = IamMetadata

Methods

responseConsumer :: Request -> ListUsers -> IORef (ResponseMetadata ListUsersResponse) -> HTTPResponseConsumer ListUsersResponse #

ResponseConsumer PutGroupPolicy PutGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.PutGroupPolicy

Associated Types

type ResponseMetadata PutGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type ResponseMetadata PutGroupPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> PutGroupPolicy -> IORef (ResponseMetadata PutGroupPolicyResponse) -> HTTPResponseConsumer PutGroupPolicyResponse #

ResponseConsumer PutUserPolicy PutUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.PutUserPolicy

Associated Types

type ResponseMetadata PutUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type ResponseMetadata PutUserPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> PutUserPolicy -> IORef (ResponseMetadata PutUserPolicyResponse) -> HTTPResponseConsumer PutUserPolicyResponse #

ResponseConsumer RemoveUserFromGroup RemoveUserFromGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.RemoveUserFromGroup

Associated Types

type ResponseMetadata RemoveUserFromGroupResponse |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type ResponseMetadata RemoveUserFromGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> RemoveUserFromGroup -> IORef (ResponseMetadata RemoveUserFromGroupResponse) -> HTTPResponseConsumer RemoveUserFromGroupResponse #

ResponseConsumer UpdateAccessKey UpdateAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateAccessKey

Associated Types

type ResponseMetadata UpdateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type ResponseMetadata UpdateAccessKeyResponse = IamMetadata

Methods

responseConsumer :: Request -> UpdateAccessKey -> IORef (ResponseMetadata UpdateAccessKeyResponse) -> HTTPResponseConsumer UpdateAccessKeyResponse #

ResponseConsumer UpdateGroup UpdateGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateGroup

Associated Types

type ResponseMetadata UpdateGroupResponse |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type ResponseMetadata UpdateGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> UpdateGroup -> IORef (ResponseMetadata UpdateGroupResponse) -> HTTPResponseConsumer UpdateGroupResponse #

ResponseConsumer UpdateUser UpdateUserResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateUser

Associated Types

type ResponseMetadata UpdateUserResponse |
Instance details Defined in Aws.Iam.Commands.UpdateUser type ResponseMetadata UpdateUserResponse = IamMetadata

Methods

responseConsumer :: Request -> UpdateUser -> IORef (ResponseMetadata UpdateUserResponse) -> HTTPResponseConsumer UpdateUserResponse #

ResponseConsumer CopyObject CopyObjectResponse # |

Instance details

Defined in Aws.S3.Commands.CopyObject

Associated Types

type ResponseMetadata CopyObjectResponse |
Instance details Defined in Aws.S3.Commands.CopyObject type ResponseMetadata CopyObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> CopyObject -> IORef (ResponseMetadata CopyObjectResponse) -> HTTPResponseConsumer CopyObjectResponse #

ResponseConsumer DeleteBucket DeleteBucketResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteBucket

Associated Types

type ResponseMetadata DeleteBucketResponse |
Instance details Defined in Aws.S3.Commands.DeleteBucket type ResponseMetadata DeleteBucketResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteBucket -> IORef (ResponseMetadata DeleteBucketResponse) -> HTTPResponseConsumer DeleteBucketResponse #

ResponseConsumer DeleteObject DeleteObjectResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteObject

Associated Types

type ResponseMetadata DeleteObjectResponse |
Instance details Defined in Aws.S3.Commands.DeleteObject type ResponseMetadata DeleteObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteObject -> IORef (ResponseMetadata DeleteObjectResponse) -> HTTPResponseConsumer DeleteObjectResponse #

ResponseConsumer DeleteObjectVersion DeleteObjectVersionResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteObjectVersion

Associated Types

type ResponseMetadata DeleteObjectVersionResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type ResponseMetadata DeleteObjectVersionResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteObjectVersion -> IORef (ResponseMetadata DeleteObjectVersionResponse) -> HTTPResponseConsumer DeleteObjectVersionResponse #

ResponseConsumer DeleteObjects DeleteObjectsResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteObjects

Associated Types

type ResponseMetadata DeleteObjectsResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjects type ResponseMetadata DeleteObjectsResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteObjects -> IORef (ResponseMetadata DeleteObjectsResponse) -> HTTPResponseConsumer DeleteObjectsResponse #

ResponseConsumer GetObject GetObjectResponse # |

Instance details

Defined in Aws.S3.Commands.GetObject

Associated Types

type ResponseMetadata GetObjectResponse |
Instance details Defined in Aws.S3.Commands.GetObject type ResponseMetadata GetObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> GetObject -> IORef (ResponseMetadata GetObjectResponse) -> HTTPResponseConsumer GetObjectResponse #

ResponseConsumer HeadObject HeadObjectResponse # |

Instance details

Defined in Aws.S3.Commands.HeadObject

Associated Types

type ResponseMetadata HeadObjectResponse |
Instance details Defined in Aws.S3.Commands.HeadObject type ResponseMetadata HeadObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> HeadObject -> IORef (ResponseMetadata HeadObjectResponse) -> HTTPResponseConsumer HeadObjectResponse #

ResponseConsumer UploadPart UploadPartResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ResponseMetadata UploadPartResponse |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata UploadPartResponse = S3Metadata

Methods

responseConsumer :: Request -> UploadPart -> IORef (ResponseMetadata UploadPartResponse) -> HTTPResponseConsumer UploadPartResponse #

ResponseConsumer PutObject PutObjectResponse # |

Instance details

Defined in Aws.S3.Commands.PutObject

Associated Types

type ResponseMetadata PutObjectResponse |
Instance details Defined in Aws.S3.Commands.PutObject type ResponseMetadata PutObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> PutObject -> IORef (ResponseMetadata PutObjectResponse) -> HTTPResponseConsumer PutObjectResponse #

ResponseConsumer DeleteIdentity DeleteIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.DeleteIdentity

Associated Types

type ResponseMetadata DeleteIdentityResponse |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type ResponseMetadata DeleteIdentityResponse = SesMetadata

Methods

responseConsumer :: Request -> DeleteIdentity -> IORef (ResponseMetadata DeleteIdentityResponse) -> HTTPResponseConsumer DeleteIdentityResponse #

ResponseConsumer GetIdentityDkimAttributes GetIdentityDkimAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityDkimAttributes

Associated Types

type ResponseMetadata GetIdentityDkimAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type ResponseMetadata GetIdentityDkimAttributesResponse = SesMetadata

Methods

responseConsumer :: Request -> GetIdentityDkimAttributes -> IORef (ResponseMetadata GetIdentityDkimAttributesResponse) -> HTTPResponseConsumer GetIdentityDkimAttributesResponse #

ResponseConsumer GetIdentityNotificationAttributes GetIdentityNotificationAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes

Associated Types

type ResponseMetadata GetIdentityNotificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type ResponseMetadata GetIdentityNotificationAttributesResponse = SesMetadata

Methods

responseConsumer :: Request -> GetIdentityNotificationAttributes -> IORef (ResponseMetadata GetIdentityNotificationAttributesResponse) -> HTTPResponseConsumer GetIdentityNotificationAttributesResponse #

ResponseConsumer GetIdentityVerificationAttributes GetIdentityVerificationAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes

Associated Types

type ResponseMetadata GetIdentityVerificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type ResponseMetadata GetIdentityVerificationAttributesResponse = SesMetadata

Methods

responseConsumer :: Request -> GetIdentityVerificationAttributes -> IORef (ResponseMetadata GetIdentityVerificationAttributesResponse) -> HTTPResponseConsumer GetIdentityVerificationAttributesResponse #

ResponseConsumer ListIdentities ListIdentitiesResponse # |

Instance details

Defined in Aws.Ses.Commands.ListIdentities

Associated Types

type ResponseMetadata ListIdentitiesResponse |
Instance details Defined in Aws.Ses.Commands.ListIdentities type ResponseMetadata ListIdentitiesResponse = SesMetadata

Methods

responseConsumer :: Request -> ListIdentities -> IORef (ResponseMetadata ListIdentitiesResponse) -> HTTPResponseConsumer ListIdentitiesResponse #

ResponseConsumer SendRawEmail SendRawEmailResponse # |

Instance details

Defined in Aws.Ses.Commands.SendRawEmail

Associated Types

type ResponseMetadata SendRawEmailResponse |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type ResponseMetadata SendRawEmailResponse = SesMetadata

Methods

responseConsumer :: Request -> SendRawEmail -> IORef (ResponseMetadata SendRawEmailResponse) -> HTTPResponseConsumer SendRawEmailResponse #

ResponseConsumer SetIdentityDkimEnabled SetIdentityDkimEnabledResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityDkimEnabled

Associated Types

type ResponseMetadata SetIdentityDkimEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type ResponseMetadata SetIdentityDkimEnabledResponse = SesMetadata

Methods

responseConsumer :: Request -> SetIdentityDkimEnabled -> IORef (ResponseMetadata SetIdentityDkimEnabledResponse) -> HTTPResponseConsumer SetIdentityDkimEnabledResponse #

ResponseConsumer SetIdentityFeedbackForwardingEnabled SetIdentityFeedbackForwardingEnabledResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled

Associated Types

type ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse = SesMetadata

Methods

responseConsumer :: Request -> SetIdentityFeedbackForwardingEnabled -> IORef (ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse) -> HTTPResponseConsumer SetIdentityFeedbackForwardingEnabledResponse #

ResponseConsumer SetIdentityNotificationTopic SetIdentityNotificationTopicResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityNotificationTopic

Associated Types

type ResponseMetadata SetIdentityNotificationTopicResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type ResponseMetadata SetIdentityNotificationTopicResponse = SesMetadata

Methods

responseConsumer :: Request -> SetIdentityNotificationTopic -> IORef (ResponseMetadata SetIdentityNotificationTopicResponse) -> HTTPResponseConsumer SetIdentityNotificationTopicResponse #

ResponseConsumer VerifyDomainDkim VerifyDomainDkimResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainDkim

Associated Types

type ResponseMetadata VerifyDomainDkimResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type ResponseMetadata VerifyDomainDkimResponse = SesMetadata

Methods

responseConsumer :: Request -> VerifyDomainDkim -> IORef (ResponseMetadata VerifyDomainDkimResponse) -> HTTPResponseConsumer VerifyDomainDkimResponse #

ResponseConsumer VerifyDomainIdentity VerifyDomainIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainIdentity

Associated Types

type ResponseMetadata VerifyDomainIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type ResponseMetadata VerifyDomainIdentityResponse = SesMetadata

Methods

responseConsumer :: Request -> VerifyDomainIdentity -> IORef (ResponseMetadata VerifyDomainIdentityResponse) -> HTTPResponseConsumer VerifyDomainIdentityResponse #

ResponseConsumer VerifyEmailIdentity VerifyEmailIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyEmailIdentity

Associated Types

type ResponseMetadata VerifyEmailIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type ResponseMetadata VerifyEmailIdentityResponse = SesMetadata

Methods

responseConsumer :: Request -> VerifyEmailIdentity -> IORef (ResponseMetadata VerifyEmailIdentityResponse) -> HTTPResponseConsumer VerifyEmailIdentityResponse #

ResponseConsumer r BatchGetItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchGetItem

Associated Types

type ResponseMetadata BatchGetItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type ResponseMetadata BatchGetItemResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata BatchGetItemResponse) -> HTTPResponseConsumer BatchGetItemResponse #

ResponseConsumer r BatchWriteItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchWriteItem

Associated Types

type ResponseMetadata BatchWriteItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type ResponseMetadata BatchWriteItemResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata BatchWriteItemResponse) -> HTTPResponseConsumer BatchWriteItemResponse #

ResponseConsumer r DeleteItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.DeleteItem

Associated Types

type ResponseMetadata DeleteItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type ResponseMetadata DeleteItemResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DeleteItemResponse) -> HTTPResponseConsumer DeleteItemResponse #

ResponseConsumer r GetItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.GetItem

Associated Types

type ResponseMetadata GetItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type ResponseMetadata GetItemResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetItemResponse) -> HTTPResponseConsumer GetItemResponse #

ResponseConsumer r PutItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.PutItem

Associated Types

type ResponseMetadata PutItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.PutItem type ResponseMetadata PutItemResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata PutItemResponse) -> HTTPResponseConsumer PutItemResponse #

ResponseConsumer r QueryResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.Query

Associated Types

type ResponseMetadata QueryResponse |
Instance details Defined in Aws.DynamoDb.Commands.Query type ResponseMetadata QueryResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata QueryResponse) -> HTTPResponseConsumer QueryResponse #

ResponseConsumer r ScanResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.Scan

Associated Types

type ResponseMetadata ScanResponse |
Instance details Defined in Aws.DynamoDb.Commands.Scan type ResponseMetadata ScanResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata ScanResponse) -> HTTPResponseConsumer ScanResponse #

ResponseConsumer r CreateTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ResponseMetadata CreateTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata CreateTableResult = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata CreateTableResult) -> HTTPResponseConsumer CreateTableResult #

ResponseConsumer r DeleteTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ResponseMetadata DeleteTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata DeleteTableResult = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DeleteTableResult) -> HTTPResponseConsumer DeleteTableResult #

ResponseConsumer r DescribeTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ResponseMetadata DescribeTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata DescribeTableResult = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DescribeTableResult) -> HTTPResponseConsumer DescribeTableResult #

ResponseConsumer r ListTablesResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ResponseMetadata ListTablesResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata ListTablesResult = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata ListTablesResult) -> HTTPResponseConsumer ListTablesResult #

ResponseConsumer r UpdateTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ResponseMetadata UpdateTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata UpdateTableResult = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata UpdateTableResult) -> HTTPResponseConsumer UpdateTableResult #

ResponseConsumer r UpdateItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.UpdateItem

Associated Types

type ResponseMetadata UpdateItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem type ResponseMetadata UpdateItemResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata UpdateItemResponse) -> HTTPResponseConsumer UpdateItemResponse #

ResponseConsumer r GetBucketResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucket

Associated Types

type ResponseMetadata GetBucketResponse |
Instance details Defined in Aws.S3.Commands.GetBucket type ResponseMetadata GetBucketResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetBucketResponse) -> HTTPResponseConsumer GetBucketResponse #

ResponseConsumer r GetBucketLocationResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucketLocation

Associated Types

type ResponseMetadata GetBucketLocationResponse |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type ResponseMetadata GetBucketLocationResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetBucketLocationResponse) -> HTTPResponseConsumer GetBucketLocationResponse #

ResponseConsumer r GetBucketObjectVersionsResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucketObjectVersions

Associated Types

type ResponseMetadata GetBucketObjectVersionsResponse |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type ResponseMetadata GetBucketObjectVersionsResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetBucketObjectVersionsResponse) -> HTTPResponseConsumer GetBucketObjectVersionsResponse #

ResponseConsumer r GetBucketVersioningResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucketVersioning

Associated Types

type ResponseMetadata GetBucketVersioningResponse |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type ResponseMetadata GetBucketVersioningResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetBucketVersioningResponse) -> HTTPResponseConsumer GetBucketVersioningResponse #

ResponseConsumer r GetServiceResponse # |

Instance details

Defined in Aws.S3.Commands.GetService

Associated Types

type ResponseMetadata GetServiceResponse |
Instance details Defined in Aws.S3.Commands.GetService type ResponseMetadata GetServiceResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetServiceResponse) -> HTTPResponseConsumer GetServiceResponse #

ResponseConsumer r AbortMultipartUploadResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ResponseMetadata AbortMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata AbortMultipartUploadResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata AbortMultipartUploadResponse) -> HTTPResponseConsumer AbortMultipartUploadResponse #

ResponseConsumer r CompleteMultipartUploadResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ResponseMetadata CompleteMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata CompleteMultipartUploadResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata CompleteMultipartUploadResponse) -> HTTPResponseConsumer CompleteMultipartUploadResponse #

ResponseConsumer r InitiateMultipartUploadResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ResponseMetadata InitiateMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata InitiateMultipartUploadResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata InitiateMultipartUploadResponse) -> HTTPResponseConsumer InitiateMultipartUploadResponse #

ResponseConsumer r PutBucketResponse # |

Instance details

Defined in Aws.S3.Commands.PutBucket

Associated Types

type ResponseMetadata PutBucketResponse |
Instance details Defined in Aws.S3.Commands.PutBucket type ResponseMetadata PutBucketResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata PutBucketResponse) -> HTTPResponseConsumer PutBucketResponse #

ResponseConsumer r PutBucketVersioningResponse # |

Instance details

Defined in Aws.S3.Commands.PutBucketVersioning

Associated Types

type ResponseMetadata PutBucketVersioningResponse |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type ResponseMetadata PutBucketVersioningResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata PutBucketVersioningResponse) -> HTTPResponseConsumer PutBucketVersioningResponse #

ResponseConsumer r BatchDeleteAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ResponseMetadata BatchDeleteAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata BatchDeleteAttributesResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata BatchDeleteAttributesResponse) -> HTTPResponseConsumer BatchDeleteAttributesResponse #

ResponseConsumer r BatchPutAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ResponseMetadata BatchPutAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata BatchPutAttributesResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata BatchPutAttributesResponse) -> HTTPResponseConsumer BatchPutAttributesResponse #

ResponseConsumer r DeleteAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ResponseMetadata DeleteAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata DeleteAttributesResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DeleteAttributesResponse) -> HTTPResponseConsumer DeleteAttributesResponse #

ResponseConsumer r GetAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ResponseMetadata GetAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata GetAttributesResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetAttributesResponse) -> HTTPResponseConsumer GetAttributesResponse #

ResponseConsumer r PutAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ResponseMetadata PutAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata PutAttributesResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata PutAttributesResponse) -> HTTPResponseConsumer PutAttributesResponse #

ResponseConsumer r CreateDomainResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ResponseMetadata CreateDomainResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata CreateDomainResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata CreateDomainResponse) -> HTTPResponseConsumer CreateDomainResponse #

ResponseConsumer r DeleteDomainResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ResponseMetadata DeleteDomainResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata DeleteDomainResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DeleteDomainResponse) -> HTTPResponseConsumer DeleteDomainResponse #

ResponseConsumer r DomainMetadataResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ResponseMetadata DomainMetadataResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata DomainMetadataResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DomainMetadataResponse) -> HTTPResponseConsumer DomainMetadataResponse #

ResponseConsumer r ListDomainsResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ResponseMetadata ListDomainsResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata ListDomainsResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata ListDomainsResponse) -> HTTPResponseConsumer ListDomainsResponse #

ResponseConsumer r SelectResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Select

Associated Types

type ResponseMetadata SelectResponse |
Instance details Defined in Aws.SimpleDb.Commands.Select type ResponseMetadata SelectResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata SelectResponse) -> HTTPResponseConsumer SelectResponse #

ResponseConsumer r ChangeMessageVisibilityResponse # |

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type ResponseMetadata ChangeMessageVisibilityResponse |
Instance details Defined in Aws.Sqs.Commands.Message type ResponseMetadata ChangeMessageVisibilityResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata ChangeMessageVisibilityResponse) -> HTTPResponseConsumer ChangeMessageVisibilityResponse #

ResponseConsumer r DeleteMessageResponse # |

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type ResponseMetadata DeleteMessageResponse |
Instance details Defined in Aws.Sqs.Commands.Message type ResponseMetadata DeleteMessageResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DeleteMessageResponse) -> HTTPResponseConsumer DeleteMessageResponse #

ResponseConsumer r ReceiveMessageResponse # |

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type ResponseMetadata ReceiveMessageResponse |
Instance details Defined in Aws.Sqs.Commands.Message type ResponseMetadata ReceiveMessageResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata ReceiveMessageResponse) -> HTTPResponseConsumer ReceiveMessageResponse #

ResponseConsumer r SendMessageResponse # |

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type ResponseMetadata SendMessageResponse |
Instance details Defined in Aws.Sqs.Commands.Message type ResponseMetadata SendMessageResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata SendMessageResponse) -> HTTPResponseConsumer SendMessageResponse #

ResponseConsumer r AddPermissionResponse # |

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type ResponseMetadata AddPermissionResponse |
Instance details Defined in Aws.Sqs.Commands.Permission type ResponseMetadata AddPermissionResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata AddPermissionResponse) -> HTTPResponseConsumer AddPermissionResponse #

ResponseConsumer r RemovePermissionResponse # |

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type ResponseMetadata RemovePermissionResponse |
Instance details Defined in Aws.Sqs.Commands.Permission type ResponseMetadata RemovePermissionResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata RemovePermissionResponse) -> HTTPResponseConsumer RemovePermissionResponse #

ResponseConsumer r CreateQueueResponse # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type ResponseMetadata CreateQueueResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata CreateQueueResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata CreateQueueResponse) -> HTTPResponseConsumer CreateQueueResponse #

ResponseConsumer r DeleteQueueResponse # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type ResponseMetadata DeleteQueueResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata DeleteQueueResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DeleteQueueResponse) -> HTTPResponseConsumer DeleteQueueResponse #

ResponseConsumer r ListQueuesResponse # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type ResponseMetadata ListQueuesResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata ListQueuesResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata ListQueuesResponse) -> HTTPResponseConsumer ListQueuesResponse #

ResponseConsumer r GetQueueAttributesResponse # |

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type ResponseMetadata GetQueueAttributesResponse |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ResponseMetadata GetQueueAttributesResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetQueueAttributesResponse) -> HTTPResponseConsumer GetQueueAttributesResponse #

ResponseConsumer r SetQueueAttributesResponse # |

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type ResponseMetadata SetQueueAttributesResponse |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ResponseMetadata SetQueueAttributesResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata SetQueueAttributesResponse) -> HTTPResponseConsumer SetQueueAttributesResponse #

ResponseConsumer r (Response ByteString) # | Does not parse response. For debugging.

Instance details

Defined in Aws.Core

Associated Types

type ResponseMetadata (Response ByteString) |
Instance details Defined in Aws.Core type ResponseMetadata (Response ByteString) = ()

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata (Response ByteString)) -> HTTPResponseConsumer (Response ByteString) #

## Memory response

class AsMemoryResponse resp where #

Class for responses that are fully loaded into memory

Associated Types

type MemoryResponse resp #

Methods

loadToMemory :: resp -> ResourceT IO (MemoryResponse resp) #

#### Instances

Instances details

AsMemoryResponse BatchGetItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchGetItem

Associated Types

type MemoryResponse BatchGetItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type MemoryResponse BatchGetItemResponse = BatchGetItemResponse

Methods

loadToMemory :: BatchGetItemResponse -> ResourceT IO (MemoryResponse BatchGetItemResponse) #

AsMemoryResponse BatchWriteItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchWriteItem

Associated Types

type MemoryResponse BatchWriteItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type MemoryResponse BatchWriteItemResponse = BatchWriteItemResponse

Methods

loadToMemory :: BatchWriteItemResponse -> ResourceT IO (MemoryResponse BatchWriteItemResponse) #

AsMemoryResponse DeleteItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.DeleteItem

Associated Types

type MemoryResponse DeleteItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type MemoryResponse DeleteItemResponse = DeleteItemResponse

Methods

loadToMemory :: DeleteItemResponse -> ResourceT IO (MemoryResponse DeleteItemResponse) #

AsMemoryResponse GetItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.GetItem

Associated Types

type MemoryResponse GetItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type MemoryResponse GetItemResponse = GetItemResponse

Methods

loadToMemory :: GetItemResponse -> ResourceT IO (MemoryResponse GetItemResponse) #

AsMemoryResponse PutItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.PutItem

Associated Types

type MemoryResponse PutItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.PutItem type MemoryResponse PutItemResponse = PutItemResponse

Methods

loadToMemory :: PutItemResponse -> ResourceT IO (MemoryResponse PutItemResponse) #

AsMemoryResponse QueryResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.Query

Associated Types

type MemoryResponse QueryResponse |
Instance details Defined in Aws.DynamoDb.Commands.Query type MemoryResponse QueryResponse = QueryResponse

Methods

loadToMemory :: QueryResponse -> ResourceT IO (MemoryResponse QueryResponse) #

AsMemoryResponse ScanResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.Scan

Associated Types

type MemoryResponse ScanResponse |
Instance details Defined in Aws.DynamoDb.Commands.Scan type MemoryResponse ScanResponse = ScanResponse

Methods

loadToMemory :: ScanResponse -> ResourceT IO (MemoryResponse ScanResponse) #

AsMemoryResponse CreateTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse CreateTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse CreateTableResult = TableDescription

Methods

loadToMemory :: CreateTableResult -> ResourceT IO (MemoryResponse CreateTableResult) #

AsMemoryResponse DeleteTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse DeleteTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse DeleteTableResult = TableDescription

Methods

loadToMemory :: DeleteTableResult -> ResourceT IO (MemoryResponse DeleteTableResult) #

AsMemoryResponse DescribeTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse DescribeTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse DescribeTableResult = TableDescription

Methods

loadToMemory :: DescribeTableResult -> ResourceT IO (MemoryResponse DescribeTableResult) #

AsMemoryResponse ListTablesResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse ListTablesResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse ListTablesResult = [Text]

Methods

loadToMemory :: ListTablesResult -> ResourceT IO (MemoryResponse ListTablesResult) #

AsMemoryResponse UpdateTableResult # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse UpdateTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse UpdateTableResult = TableDescription

Methods

loadToMemory :: UpdateTableResult -> ResourceT IO (MemoryResponse UpdateTableResult) #

AsMemoryResponse UpdateItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.UpdateItem

Associated Types

type MemoryResponse UpdateItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem type MemoryResponse UpdateItemResponse = UpdateItemResponse

Methods

loadToMemory :: UpdateItemResponse -> ResourceT IO (MemoryResponse UpdateItemResponse) #

AsMemoryResponse AddUserToGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.AddUserToGroup

Associated Types

type MemoryResponse AddUserToGroupResponse |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type MemoryResponse AddUserToGroupResponse = AddUserToGroupResponse

Methods

loadToMemory :: AddUserToGroupResponse -> ResourceT IO (MemoryResponse AddUserToGroupResponse) #

AsMemoryResponse CreateAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateAccessKey

Associated Types

type MemoryResponse CreateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type MemoryResponse CreateAccessKeyResponse = CreateAccessKeyResponse

Methods

loadToMemory :: CreateAccessKeyResponse -> ResourceT IO (MemoryResponse CreateAccessKeyResponse) #

AsMemoryResponse CreateGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateGroup

Associated Types

type MemoryResponse CreateGroupResponse |
Instance details Defined in Aws.Iam.Commands.CreateGroup type MemoryResponse CreateGroupResponse = CreateGroupResponse

Methods

loadToMemory :: CreateGroupResponse -> ResourceT IO (MemoryResponse CreateGroupResponse) #

AsMemoryResponse CreateUserResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateUser

Associated Types

type MemoryResponse CreateUserResponse |
Instance details Defined in Aws.Iam.Commands.CreateUser type MemoryResponse CreateUserResponse = CreateUserResponse

Methods

loadToMemory :: CreateUserResponse -> ResourceT IO (MemoryResponse CreateUserResponse) #

AsMemoryResponse DeleteAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteAccessKey

Associated Types

type MemoryResponse DeleteAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type MemoryResponse DeleteAccessKeyResponse = DeleteAccessKeyResponse

Methods

loadToMemory :: DeleteAccessKeyResponse -> ResourceT IO (MemoryResponse DeleteAccessKeyResponse) #

AsMemoryResponse DeleteGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroup

Associated Types

type MemoryResponse DeleteGroupResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type MemoryResponse DeleteGroupResponse = DeleteGroupResponse

Methods

loadToMemory :: DeleteGroupResponse -> ResourceT IO (MemoryResponse DeleteGroupResponse) #

AsMemoryResponse DeleteGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroupPolicy

Associated Types

type MemoryResponse DeleteGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type MemoryResponse DeleteGroupPolicyResponse = DeleteGroupPolicyResponse

Methods

loadToMemory :: DeleteGroupPolicyResponse -> ResourceT IO (MemoryResponse DeleteGroupPolicyResponse) #

AsMemoryResponse DeleteUserResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteUser

Associated Types

type MemoryResponse DeleteUserResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUser type MemoryResponse DeleteUserResponse = DeleteUserResponse

Methods

loadToMemory :: DeleteUserResponse -> ResourceT IO (MemoryResponse DeleteUserResponse) #

AsMemoryResponse DeleteUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteUserPolicy

Associated Types

type MemoryResponse DeleteUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type MemoryResponse DeleteUserPolicyResponse = DeleteUserPolicyResponse

Methods

loadToMemory :: DeleteUserPolicyResponse -> ResourceT IO (MemoryResponse DeleteUserPolicyResponse) #

AsMemoryResponse GetGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.GetGroupPolicy

Associated Types

type MemoryResponse GetGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type MemoryResponse GetGroupPolicyResponse = GetGroupPolicyResponse

Methods

loadToMemory :: GetGroupPolicyResponse -> ResourceT IO (MemoryResponse GetGroupPolicyResponse) #

AsMemoryResponse GetUserResponse # |

Instance details

Defined in Aws.Iam.Commands.GetUser

Associated Types

type MemoryResponse GetUserResponse |
Instance details Defined in Aws.Iam.Commands.GetUser type MemoryResponse GetUserResponse = GetUserResponse

Methods

loadToMemory :: GetUserResponse -> ResourceT IO (MemoryResponse GetUserResponse) #

AsMemoryResponse GetUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.GetUserPolicy

Associated Types

type MemoryResponse GetUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type MemoryResponse GetUserPolicyResponse = GetUserPolicyResponse

Methods

loadToMemory :: GetUserPolicyResponse -> ResourceT IO (MemoryResponse GetUserPolicyResponse) #

AsMemoryResponse ListAccessKeysResponse # |

Instance details

Defined in Aws.Iam.Commands.ListAccessKeys

Associated Types

type MemoryResponse ListAccessKeysResponse |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type MemoryResponse ListAccessKeysResponse = ListAccessKeysResponse

Methods

loadToMemory :: ListAccessKeysResponse -> ResourceT IO (MemoryResponse ListAccessKeysResponse) #

AsMemoryResponse ListGroupPoliciesResponse # |

Instance details

Defined in Aws.Iam.Commands.ListGroupPolicies

Associated Types

type MemoryResponse ListGroupPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type MemoryResponse ListGroupPoliciesResponse = ListGroupPoliciesResponse

Methods

loadToMemory :: ListGroupPoliciesResponse -> ResourceT IO (MemoryResponse ListGroupPoliciesResponse) #

AsMemoryResponse ListGroupsResponse # |

Instance details

Defined in Aws.Iam.Commands.ListGroups

Associated Types

type MemoryResponse ListGroupsResponse |
Instance details Defined in Aws.Iam.Commands.ListGroups type MemoryResponse ListGroupsResponse = ListGroupsResponse

Methods

loadToMemory :: ListGroupsResponse -> ResourceT IO (MemoryResponse ListGroupsResponse) #

AsMemoryResponse ListMfaDevicesResponse # |

Instance details

Defined in Aws.Iam.Commands.ListMfaDevices

Associated Types

type MemoryResponse ListMfaDevicesResponse |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices type MemoryResponse ListMfaDevicesResponse = ListMfaDevicesResponse

Methods

loadToMemory :: ListMfaDevicesResponse -> ResourceT IO (MemoryResponse ListMfaDevicesResponse) #

AsMemoryResponse ListUserPoliciesResponse # |

Instance details

Defined in Aws.Iam.Commands.ListUserPolicies

Associated Types

type MemoryResponse ListUserPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type MemoryResponse ListUserPoliciesResponse = ListUserPoliciesResponse

Methods

loadToMemory :: ListUserPoliciesResponse -> ResourceT IO (MemoryResponse ListUserPoliciesResponse) #

AsMemoryResponse ListUsersResponse # |

Instance details

Defined in Aws.Iam.Commands.ListUsers

Associated Types

type MemoryResponse ListUsersResponse |
Instance details Defined in Aws.Iam.Commands.ListUsers type MemoryResponse ListUsersResponse = ListUsersResponse

Methods

loadToMemory :: ListUsersResponse -> ResourceT IO (MemoryResponse ListUsersResponse) #

AsMemoryResponse PutGroupPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.PutGroupPolicy

Associated Types

type MemoryResponse PutGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type MemoryResponse PutGroupPolicyResponse = PutGroupPolicyResponse

Methods

loadToMemory :: PutGroupPolicyResponse -> ResourceT IO (MemoryResponse PutGroupPolicyResponse) #

AsMemoryResponse PutUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.PutUserPolicy

Associated Types

type MemoryResponse PutUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type MemoryResponse PutUserPolicyResponse = PutUserPolicyResponse

Methods

loadToMemory :: PutUserPolicyResponse -> ResourceT IO (MemoryResponse PutUserPolicyResponse) #

AsMemoryResponse RemoveUserFromGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.RemoveUserFromGroup

Associated Types

type MemoryResponse RemoveUserFromGroupResponse |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type MemoryResponse RemoveUserFromGroupResponse = RemoveUserFromGroupResponse

Methods

loadToMemory :: RemoveUserFromGroupResponse -> ResourceT IO (MemoryResponse RemoveUserFromGroupResponse) #

AsMemoryResponse UpdateAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateAccessKey

Associated Types

type MemoryResponse UpdateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type MemoryResponse UpdateAccessKeyResponse = UpdateAccessKeyResponse

Methods

loadToMemory :: UpdateAccessKeyResponse -> ResourceT IO (MemoryResponse UpdateAccessKeyResponse) #

AsMemoryResponse UpdateGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateGroup

Associated Types

type MemoryResponse UpdateGroupResponse |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type MemoryResponse UpdateGroupResponse = UpdateGroupResponse

Methods

loadToMemory :: UpdateGroupResponse -> ResourceT IO (MemoryResponse UpdateGroupResponse) #

AsMemoryResponse UpdateUserResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateUser

Associated Types

type MemoryResponse UpdateUserResponse |
Instance details Defined in Aws.Iam.Commands.UpdateUser type MemoryResponse UpdateUserResponse = UpdateUserResponse

Methods

loadToMemory :: UpdateUserResponse -> ResourceT IO (MemoryResponse UpdateUserResponse) #

AsMemoryResponse CopyObjectResponse # |

Instance details

Defined in Aws.S3.Commands.CopyObject

Associated Types

type MemoryResponse CopyObjectResponse |
Instance details Defined in Aws.S3.Commands.CopyObject type MemoryResponse CopyObjectResponse = CopyObjectResponse

Methods

loadToMemory :: CopyObjectResponse -> ResourceT IO (MemoryResponse CopyObjectResponse) #

AsMemoryResponse DeleteBucketResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteBucket

Associated Types

type MemoryResponse DeleteBucketResponse |
Instance details Defined in Aws.S3.Commands.DeleteBucket type MemoryResponse DeleteBucketResponse = DeleteBucketResponse

Methods

loadToMemory :: DeleteBucketResponse -> ResourceT IO (MemoryResponse DeleteBucketResponse) #

AsMemoryResponse DeleteObjectResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteObject

Associated Types

type MemoryResponse DeleteObjectResponse |
Instance details Defined in Aws.S3.Commands.DeleteObject type MemoryResponse DeleteObjectResponse = DeleteObjectResponse

Methods

loadToMemory :: DeleteObjectResponse -> ResourceT IO (MemoryResponse DeleteObjectResponse) #

AsMemoryResponse DeleteObjectVersionResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteObjectVersion

Associated Types

type MemoryResponse DeleteObjectVersionResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type MemoryResponse DeleteObjectVersionResponse = DeleteObjectVersionResponse

Methods

loadToMemory :: DeleteObjectVersionResponse -> ResourceT IO (MemoryResponse DeleteObjectVersionResponse) #

AsMemoryResponse DeleteObjectsResponse # |

Instance details

Defined in Aws.S3.Commands.DeleteObjects

Associated Types

type MemoryResponse DeleteObjectsResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjects type MemoryResponse DeleteObjectsResponse = DeleteObjectsResponse

Methods

loadToMemory :: DeleteObjectsResponse -> ResourceT IO (MemoryResponse DeleteObjectsResponse) #

AsMemoryResponse GetBucketResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucket

Associated Types

type MemoryResponse GetBucketResponse |
Instance details Defined in Aws.S3.Commands.GetBucket type MemoryResponse GetBucketResponse = GetBucketResponse

Methods

loadToMemory :: GetBucketResponse -> ResourceT IO (MemoryResponse GetBucketResponse) #

AsMemoryResponse GetBucketLocationResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucketLocation

Associated Types

type MemoryResponse GetBucketLocationResponse |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type MemoryResponse GetBucketLocationResponse = GetBucketLocationResponse

Methods

loadToMemory :: GetBucketLocationResponse -> ResourceT IO (MemoryResponse GetBucketLocationResponse) #

AsMemoryResponse GetBucketObjectVersionsResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucketObjectVersions

Associated Types

type MemoryResponse GetBucketObjectVersionsResponse |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type MemoryResponse GetBucketObjectVersionsResponse = GetBucketObjectVersionsResponse

Methods

loadToMemory :: GetBucketObjectVersionsResponse -> ResourceT IO (MemoryResponse GetBucketObjectVersionsResponse) #

AsMemoryResponse GetBucketVersioningResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucketVersioning

Associated Types

type MemoryResponse GetBucketVersioningResponse |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type MemoryResponse GetBucketVersioningResponse = GetBucketVersioningResponse

Methods

loadToMemory :: GetBucketVersioningResponse -> ResourceT IO (MemoryResponse GetBucketVersioningResponse) #

AsMemoryResponse GetObjectResponse # |

Instance details

Defined in Aws.S3.Commands.GetObject

Associated Types

type MemoryResponse GetObjectResponse |
Instance details Defined in Aws.S3.Commands.GetObject type MemoryResponse GetObjectResponse = GetObjectMemoryResponse

Methods

loadToMemory :: GetObjectResponse -> ResourceT IO (MemoryResponse GetObjectResponse) #

AsMemoryResponse GetServiceResponse # |

Instance details

Defined in Aws.S3.Commands.GetService

Associated Types

type MemoryResponse GetServiceResponse |
Instance details Defined in Aws.S3.Commands.GetService type MemoryResponse GetServiceResponse = GetServiceResponse

Methods

loadToMemory :: GetServiceResponse -> ResourceT IO (MemoryResponse GetServiceResponse) #

AsMemoryResponse HeadObjectResponse # |

Instance details

Defined in Aws.S3.Commands.HeadObject

Associated Types

type MemoryResponse HeadObjectResponse |
Instance details Defined in Aws.S3.Commands.HeadObject type MemoryResponse HeadObjectResponse = HeadObjectMemoryResponse

Methods

loadToMemory :: HeadObjectResponse -> ResourceT IO (MemoryResponse HeadObjectResponse) #

AsMemoryResponse AbortMultipartUploadResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse AbortMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse AbortMultipartUploadResponse = AbortMultipartUploadResponse

Methods

loadToMemory :: AbortMultipartUploadResponse -> ResourceT IO (MemoryResponse AbortMultipartUploadResponse) #

AsMemoryResponse CompleteMultipartUploadResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse CompleteMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse CompleteMultipartUploadResponse = CompleteMultipartUploadResponse

Methods

loadToMemory :: CompleteMultipartUploadResponse -> ResourceT IO (MemoryResponse CompleteMultipartUploadResponse) #

AsMemoryResponse InitiateMultipartUploadResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse InitiateMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse InitiateMultipartUploadResponse = InitiateMultipartUploadResponse

Methods

loadToMemory :: InitiateMultipartUploadResponse -> ResourceT IO (MemoryResponse InitiateMultipartUploadResponse) #

AsMemoryResponse UploadPartResponse # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse UploadPartResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse UploadPartResponse = UploadPartResponse

Methods

loadToMemory :: UploadPartResponse -> ResourceT IO (MemoryResponse UploadPartResponse) #

AsMemoryResponse PutBucketResponse # |

Instance details

Defined in Aws.S3.Commands.PutBucket

Associated Types

type MemoryResponse PutBucketResponse |
Instance details Defined in Aws.S3.Commands.PutBucket type MemoryResponse PutBucketResponse = PutBucketResponse

Methods

loadToMemory :: PutBucketResponse -> ResourceT IO (MemoryResponse PutBucketResponse) #

AsMemoryResponse PutBucketVersioningResponse # |

Instance details

Defined in Aws.S3.Commands.PutBucketVersioning

Associated Types

type MemoryResponse PutBucketVersioningResponse |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type MemoryResponse PutBucketVersioningResponse = PutBucketVersioningResponse

Methods

loadToMemory :: PutBucketVersioningResponse -> ResourceT IO (MemoryResponse PutBucketVersioningResponse) #

AsMemoryResponse PutObjectResponse # |

Instance details

Defined in Aws.S3.Commands.PutObject

Associated Types

type MemoryResponse PutObjectResponse |
Instance details Defined in Aws.S3.Commands.PutObject type MemoryResponse PutObjectResponse = PutObjectResponse

Methods

loadToMemory :: PutObjectResponse -> ResourceT IO (MemoryResponse PutObjectResponse) #

AsMemoryResponse DeleteIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.DeleteIdentity

Associated Types

type MemoryResponse DeleteIdentityResponse |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type MemoryResponse DeleteIdentityResponse = DeleteIdentityResponse

Methods

loadToMemory :: DeleteIdentityResponse -> ResourceT IO (MemoryResponse DeleteIdentityResponse) #

AsMemoryResponse GetIdentityDkimAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityDkimAttributes

Associated Types

type MemoryResponse GetIdentityDkimAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type MemoryResponse GetIdentityDkimAttributesResponse = GetIdentityDkimAttributesResponse

Methods

loadToMemory :: GetIdentityDkimAttributesResponse -> ResourceT IO (MemoryResponse GetIdentityDkimAttributesResponse) #

AsMemoryResponse GetIdentityNotificationAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes

Associated Types

type MemoryResponse GetIdentityNotificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type MemoryResponse GetIdentityNotificationAttributesResponse = GetIdentityNotificationAttributesResponse

Methods

loadToMemory :: GetIdentityNotificationAttributesResponse -> ResourceT IO (MemoryResponse GetIdentityNotificationAttributesResponse) #

AsMemoryResponse GetIdentityVerificationAttributesResponse # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes

Associated Types

type MemoryResponse GetIdentityVerificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type MemoryResponse GetIdentityVerificationAttributesResponse = GetIdentityVerificationAttributesResponse

Methods

loadToMemory :: GetIdentityVerificationAttributesResponse -> ResourceT IO (MemoryResponse GetIdentityVerificationAttributesResponse) #

AsMemoryResponse ListIdentitiesResponse # |

Instance details

Defined in Aws.Ses.Commands.ListIdentities

Associated Types

type MemoryResponse ListIdentitiesResponse |
Instance details Defined in Aws.Ses.Commands.ListIdentities type MemoryResponse ListIdentitiesResponse = ListIdentitiesResponse

Methods

loadToMemory :: ListIdentitiesResponse -> ResourceT IO (MemoryResponse ListIdentitiesResponse) #

AsMemoryResponse SendRawEmailResponse # |

Instance details

Defined in Aws.Ses.Commands.SendRawEmail

Associated Types

type MemoryResponse SendRawEmailResponse |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type MemoryResponse SendRawEmailResponse = SendRawEmailResponse

Methods

loadToMemory :: SendRawEmailResponse -> ResourceT IO (MemoryResponse SendRawEmailResponse) #

AsMemoryResponse SetIdentityDkimEnabledResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityDkimEnabled

Associated Types

type MemoryResponse SetIdentityDkimEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type MemoryResponse SetIdentityDkimEnabledResponse = SetIdentityDkimEnabledResponse

Methods

loadToMemory :: SetIdentityDkimEnabledResponse -> ResourceT IO (MemoryResponse SetIdentityDkimEnabledResponse) #

AsMemoryResponse SetIdentityFeedbackForwardingEnabledResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled

Associated Types

type MemoryResponse SetIdentityFeedbackForwardingEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type MemoryResponse SetIdentityFeedbackForwardingEnabledResponse = SetIdentityFeedbackForwardingEnabledResponse

Methods

loadToMemory :: SetIdentityFeedbackForwardingEnabledResponse -> ResourceT IO (MemoryResponse SetIdentityFeedbackForwardingEnabledResponse) #

AsMemoryResponse SetIdentityNotificationTopicResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityNotificationTopic

Associated Types

type MemoryResponse SetIdentityNotificationTopicResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type MemoryResponse SetIdentityNotificationTopicResponse = SetIdentityNotificationTopicResponse

Methods

loadToMemory :: SetIdentityNotificationTopicResponse -> ResourceT IO (MemoryResponse SetIdentityNotificationTopicResponse) #

AsMemoryResponse VerifyDomainDkimResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainDkim

Associated Types

type MemoryResponse VerifyDomainDkimResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type MemoryResponse VerifyDomainDkimResponse = VerifyDomainDkimResponse

Methods

loadToMemory :: VerifyDomainDkimResponse -> ResourceT IO (MemoryResponse VerifyDomainDkimResponse) #

AsMemoryResponse VerifyDomainIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainIdentity

Associated Types

type MemoryResponse VerifyDomainIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type MemoryResponse VerifyDomainIdentityResponse = VerifyDomainIdentityResponse

Methods

loadToMemory :: VerifyDomainIdentityResponse -> ResourceT IO (MemoryResponse VerifyDomainIdentityResponse) #

AsMemoryResponse VerifyEmailIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyEmailIdentity

Associated Types

type MemoryResponse VerifyEmailIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type MemoryResponse VerifyEmailIdentityResponse = VerifyEmailIdentityResponse

Methods

loadToMemory :: VerifyEmailIdentityResponse -> ResourceT IO (MemoryResponse VerifyEmailIdentityResponse) #

AsMemoryResponse BatchDeleteAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse BatchDeleteAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse BatchDeleteAttributesResponse = BatchDeleteAttributesResponse

Methods

loadToMemory :: BatchDeleteAttributesResponse -> ResourceT IO (MemoryResponse BatchDeleteAttributesResponse) #

AsMemoryResponse BatchPutAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse BatchPutAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse BatchPutAttributesResponse = BatchPutAttributesResponse

Methods

loadToMemory :: BatchPutAttributesResponse -> ResourceT IO (MemoryResponse BatchPutAttributesResponse) #

AsMemoryResponse DeleteAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse DeleteAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse DeleteAttributesResponse = DeleteAttributesResponse

Methods

loadToMemory :: DeleteAttributesResponse -> ResourceT IO (MemoryResponse DeleteAttributesResponse) #

AsMemoryResponse GetAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse GetAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse GetAttributesResponse = GetAttributesResponse

Methods

loadToMemory :: GetAttributesResponse -> ResourceT IO (MemoryResponse GetAttributesResponse) #

AsMemoryResponse PutAttributesResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse PutAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse PutAttributesResponse = PutAttributesResponse

Methods

loadToMemory :: PutAttributesResponse -> ResourceT IO (MemoryResponse PutAttributesResponse) #

AsMemoryResponse CreateDomainResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse CreateDomainResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse CreateDomainResponse = CreateDomainResponse

Methods

loadToMemory :: CreateDomainResponse -> ResourceT IO (MemoryResponse CreateDomainResponse) #

AsMemoryResponse DeleteDomainResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse DeleteDomainResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse DeleteDomainResponse = DeleteDomainResponse

Methods

loadToMemory :: DeleteDomainResponse -> ResourceT IO (MemoryResponse DeleteDomainResponse) #

AsMemoryResponse DomainMetadataResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse DomainMetadataResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse DomainMetadataResponse = DomainMetadataResponse

Methods

loadToMemory :: DomainMetadataResponse -> ResourceT IO (MemoryResponse DomainMetadataResponse) #

AsMemoryResponse ListDomainsResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse ListDomainsResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse ListDomainsResponse = ListDomainsResponse

Methods

loadToMemory :: ListDomainsResponse -> ResourceT IO (MemoryResponse ListDomainsResponse) #

AsMemoryResponse SelectResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Select

Associated Types

type MemoryResponse SelectResponse |
Instance details Defined in Aws.SimpleDb.Commands.Select type MemoryResponse SelectResponse = SelectResponse

Methods

loadToMemory :: SelectResponse -> ResourceT IO (MemoryResponse SelectResponse) #

AsMemoryResponse ChangeMessageVisibilityResponse # |

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type MemoryResponse ChangeMessageVisibilityResponse |
Instance details Defined in Aws.Sqs.Commands.Message type MemoryResponse ChangeMessageVisibilityResponse = ChangeMessageVisibilityResponse

Methods

loadToMemory :: ChangeMessageVisibilityResponse -> ResourceT IO (MemoryResponse ChangeMessageVisibilityResponse) #

AsMemoryResponse DeleteMessageResponse # |

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type MemoryResponse DeleteMessageResponse |
Instance details Defined in Aws.Sqs.Commands.Message type MemoryResponse DeleteMessageResponse = DeleteMessageResponse

Methods

loadToMemory :: DeleteMessageResponse -> ResourceT IO (MemoryResponse DeleteMessageResponse) #

AsMemoryResponse ReceiveMessageResponse # |

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type MemoryResponse ReceiveMessageResponse |
Instance details Defined in Aws.Sqs.Commands.Message type MemoryResponse ReceiveMessageResponse = ReceiveMessageResponse

Methods

loadToMemory :: ReceiveMessageResponse -> ResourceT IO (MemoryResponse ReceiveMessageResponse) #

AsMemoryResponse SendMessageResponse # |

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type MemoryResponse SendMessageResponse |
Instance details Defined in Aws.Sqs.Commands.Message type MemoryResponse SendMessageResponse = SendMessageResponse

Methods

loadToMemory :: SendMessageResponse -> ResourceT IO (MemoryResponse SendMessageResponse) #

AsMemoryResponse AddPermissionResponse # |

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type MemoryResponse AddPermissionResponse |
Instance details Defined in Aws.Sqs.Commands.Permission type MemoryResponse AddPermissionResponse = AddPermissionResponse

Methods

loadToMemory :: AddPermissionResponse -> ResourceT IO (MemoryResponse AddPermissionResponse) #

AsMemoryResponse RemovePermissionResponse # |

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type MemoryResponse RemovePermissionResponse |
Instance details Defined in Aws.Sqs.Commands.Permission type MemoryResponse RemovePermissionResponse = RemovePermissionResponse

Methods

loadToMemory :: RemovePermissionResponse -> ResourceT IO (MemoryResponse RemovePermissionResponse) #

AsMemoryResponse CreateQueueResponse # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type MemoryResponse CreateQueueResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse CreateQueueResponse = CreateQueueResponse

Methods

loadToMemory :: CreateQueueResponse -> ResourceT IO (MemoryResponse CreateQueueResponse) #

AsMemoryResponse DeleteQueueResponse # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type MemoryResponse DeleteQueueResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse DeleteQueueResponse = DeleteQueueResponse

Methods

loadToMemory :: DeleteQueueResponse -> ResourceT IO (MemoryResponse DeleteQueueResponse) #

AsMemoryResponse ListQueuesResponse # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type MemoryResponse ListQueuesResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse ListQueuesResponse = ListQueuesResponse

Methods

loadToMemory :: ListQueuesResponse -> ResourceT IO (MemoryResponse ListQueuesResponse) #

AsMemoryResponse GetQueueAttributesResponse # |

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type MemoryResponse GetQueueAttributesResponse |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type MemoryResponse GetQueueAttributesResponse = GetQueueAttributesResponse

Methods

loadToMemory :: GetQueueAttributesResponse -> ResourceT IO (MemoryResponse GetQueueAttributesResponse) #

AsMemoryResponse SetQueueAttributesResponse # |

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type MemoryResponse SetQueueAttributesResponse |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type MemoryResponse SetQueueAttributesResponse = SetQueueAttributesResponse

Methods

loadToMemory :: SetQueueAttributesResponse -> ResourceT IO (MemoryResponse SetQueueAttributesResponse) #

## List response

class ListResponse resp item | resp -> item where #

Responses that have one main list in them, and perhaps some decoration.

Methods

listResponse :: resp -> [item] #

#### Instances

Instances details

ListResponse QueryResponse Item # |
Instance details Defined in Aws.DynamoDb.Commands.Query Methods listResponse :: QueryResponse -> [Item] #
ListResponse ScanResponse Item # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods listResponse :: ScanResponse -> [Item] #
ListResponse GetBucketResponse ObjectInfo # |
Instance details Defined in Aws.S3.Commands.GetBucket Methods listResponse :: GetBucketResponse -> [ObjectInfo] #
ListResponse GetBucketObjectVersionsResponse ObjectVersionInfo # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions Methods listResponse :: GetBucketObjectVersionsResponse -> [ObjectVersionInfo] #
ListResponse ListDomainsResponse Text # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods listResponse :: ListDomainsResponse -> [Text] #
ListResponse SelectResponse (Item [Attribute Text]) # |
Instance details Defined in Aws.SimpleDb.Commands.Select Methods listResponse :: SelectResponse -> [Item [Attribute Text]] #

## Exception types

newtype XmlException #

An error that occurred during XML parsing / validation.

Constructors

XmlException |

Fields

- xmlErrorMessage :: String

#### Instances

Instances details

Exception XmlException # |
Instance details Defined in Aws.Core Methods toException :: XmlException -> SomeException # fromException :: SomeException -> Maybe XmlException # displayException :: XmlException -> String # backtraceDesired :: XmlException -> Bool #
Show XmlException # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> XmlException -> ShowS # show :: XmlException -> String # showList :: [XmlException] -> ShowS #

newtype HeaderException #

An error that occurred during header parsing / validation.

Constructors

HeaderException |

Fields

- headerErrorMessage :: String

#### Instances

Instances details

Exception HeaderException # |
Instance details Defined in Aws.Core Methods toException :: HeaderException -> SomeException # fromException :: SomeException -> Maybe HeaderException # displayException :: HeaderException -> String # backtraceDesired :: HeaderException -> Bool #
Show HeaderException # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> HeaderException -> ShowS # show :: HeaderException -> String # showList :: [HeaderException] -> ShowS #

newtype FormException #

An error that occurred during form parsing / validation.

Constructors

FormException |

Fields

- formErrorMesage :: String

#### Instances

Instances details

Exception FormException # |
Instance details Defined in Aws.Core Methods toException :: FormException -> SomeException # fromException :: SomeException -> Maybe FormException # displayException :: FormException -> String # backtraceDesired :: FormException -> Bool #
Show FormException # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> FormException -> ShowS # show :: FormException -> String # showList :: [FormException] -> ShowS #

newtype NoCredentialsException #

No credentials were found and an invariant was violated.

Constructors

NoCredentialsException |

Fields

- noCredentialsErrorMessage :: String

#### Instances

Instances details

Exception NoCredentialsException # |
Instance details Defined in Aws.Core Methods toException :: NoCredentialsException -> SomeException # fromException :: SomeException -> Maybe NoCredentialsException # displayException :: NoCredentialsException -> String # backtraceDesired :: NoCredentialsException -> Bool #
Show NoCredentialsException # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> NoCredentialsException -> ShowS # show :: NoCredentialsException -> String # showList :: [NoCredentialsException] -> ShowS #

throwStatusCodeException :: MonadThrow m => Request -> Response (ConduitM () ByteString m ()) -> m a #

A helper to throw an `StatusCodeException`.

## Response deconstruction helpers

readHex2 :: [Char] -> Maybe Word8 #

Parse a two-digit hex number.

### XML

elContent :: Text -> Cursor -> [Text] #

A specific element (case-insensitive, ignoring namespace - sadly necessary), extracting only the textual contents.

elCont :: Text -> Cursor -> [String] #

Like `elContent`, but extracts `String`s instead of `Text`.

force :: MonadThrow m => String -> [a] -> m a #

Extract the first element from a parser result list, and throw an `XmlException` if the list is empty.

forceM :: MonadThrow m => String -> [m a] -> m a #

Extract the first element from a monadic parser result list, and throw an `XmlException` if the list is empty.

textReadBool :: MonadThrow m => Text -> m Bool #

Read a boolean from a `Text`, throwing an `XmlException` on failure.

textReadInt :: (MonadThrow m, Num a) => Text -> m a #

Read an integer from a `Text`, throwing an `XmlException` on failure.

readInt :: (MonadThrow m, Num a) => String -> m a #

Read an integer from a `String`, throwing an `XmlException` on failure.

xmlCursorConsumer :: Monoid m => (Cursor -> Response m a) -> IORef m -> HTTPResponseConsumer a #

Create a complete `HTTPResponseConsumer` from a simple function that takes a `Cursor` to XML in the response body.

This function is highly recommended for any services that parse relatively short XML responses. (If status and response headers are required, simply take them as function parameters, and pass them through to this function.)

# Query

data SignedQuery #

A pre-signed medium-level request object.

Constructors

SignedQuery |

Fields

- sqMethod :: !Method

  Request method.

- sqProtocol :: !Protocol

  Protocol to be used.

- sqHost :: !ByteString

  HTTP host.

- sqPort :: !Int

  IP port.

- sqPath :: !ByteString

  HTTP path.

- sqQuery :: !Query

  Query string list (used with `Get` and `PostQuery`).

- sqDate :: !(Maybe UTCTime)

  Request date/time.

- sqAuthorization :: !(Maybe (IO ByteString))

  Authorization string (if applicable), for `Authorization` header. See `authorizationV4`

- sqContentType :: !(Maybe ByteString)

  Request body content type.

- sqContentMd5 :: !(Maybe (Digest MD5))

  Request body content MD5.

- sqAmzHeaders :: !RequestHeaders

  Additional Amazon "amz" headers.

- sqOtherHeaders :: !RequestHeaders

  Additional non-"amz" headers.

- sqBody :: !(Maybe RequestBody)

  Request body (used with `Post` and `Put`).

- sqStringToSign :: !ByteString

  String to sign. Note that the string is already signed, this is passed mostly for debugging purposes.

data NormalQuery #

Tag type for normal queries.

#### Instances

Instances details

DefaultServiceConfiguration (DdbConfiguration NormalQuery) # |
Instance details Defined in Aws.DynamoDb.Core Methods defServiceConfig :: DdbConfiguration NormalQuery # debugServiceConfig :: DdbConfiguration NormalQuery #
DefaultServiceConfiguration (IamConfiguration NormalQuery) # |
Instance details Defined in Aws.Iam.Core Methods defServiceConfig :: IamConfiguration NormalQuery # debugServiceConfig :: IamConfiguration NormalQuery #
DefaultServiceConfiguration (S3Configuration NormalQuery) # |
Instance details Defined in Aws.S3.Core Methods defServiceConfig :: S3Configuration NormalQuery # debugServiceConfig :: S3Configuration NormalQuery #
DefaultServiceConfiguration (SesConfiguration NormalQuery) # |
Instance details Defined in Aws.Ses.Core Methods defServiceConfig :: SesConfiguration NormalQuery # debugServiceConfig :: SesConfiguration NormalQuery #
DefaultServiceConfiguration (SdbConfiguration NormalQuery) # |
Instance details Defined in Aws.SimpleDb.Core Methods defServiceConfig :: SdbConfiguration NormalQuery # debugServiceConfig :: SdbConfiguration NormalQuery #
DefaultServiceConfiguration (SqsConfiguration NormalQuery) # |
Instance details Defined in Aws.Sqs.Core Methods defServiceConfig :: SqsConfiguration NormalQuery # debugServiceConfig :: SqsConfiguration NormalQuery #
Default (DdbConfiguration NormalQuery) # |
Instance details Defined in Aws.DynamoDb.Core Methods def :: DdbConfiguration NormalQuery #

data UriOnlyQuery #

Tag type for URI-only queries.

#### Instances

Instances details

DefaultServiceConfiguration (IamConfiguration UriOnlyQuery) # |
Instance details Defined in Aws.Iam.Core Methods defServiceConfig :: IamConfiguration UriOnlyQuery # debugServiceConfig :: IamConfiguration UriOnlyQuery #
DefaultServiceConfiguration (S3Configuration UriOnlyQuery) # |
Instance details Defined in Aws.S3.Core Methods defServiceConfig :: S3Configuration UriOnlyQuery # debugServiceConfig :: S3Configuration UriOnlyQuery #
DefaultServiceConfiguration (SesConfiguration UriOnlyQuery) # |
Instance details Defined in Aws.Ses.Core Methods defServiceConfig :: SesConfiguration UriOnlyQuery # debugServiceConfig :: SesConfiguration UriOnlyQuery #
DefaultServiceConfiguration (SdbConfiguration UriOnlyQuery) # |
Instance details Defined in Aws.SimpleDb.Core Methods defServiceConfig :: SdbConfiguration UriOnlyQuery # debugServiceConfig :: SdbConfiguration UriOnlyQuery #
DefaultServiceConfiguration (SqsConfiguration UriOnlyQuery) # |
Instance details Defined in Aws.Sqs.Core Methods defServiceConfig :: SqsConfiguration UriOnlyQuery # debugServiceConfig :: SqsConfiguration UriOnlyQuery #

queryToHttpRequest :: SignedQuery -> IO Request #

Create a HTTP request from a `SignedQuery` object.

queryToUri :: SignedQuery -> ByteString #

Create a URI fro a `SignedQuery` object.

Unused / incompatible fields will be silently ignored.

## Expiration

data TimeInfo #

Whether to restrict the signature validity with a plain timestamp, or with explicit expiration (absolute or relative).

Constructors

Timestamp | Use a simple timestamp to let AWS check the request validity.
ExpiresAt | Let requests expire at a specific fixed time.

Fields

- fromExpiresAt :: UTCTime

ExpiresIn | Let requests expire a specific number of seconds after they were generated.

Fields

- fromExpiresIn :: NominalDiffTime

#### Instances

Instances details

Show TimeInfo # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> TimeInfo -> ShowS # show :: TimeInfo -> String # showList :: [TimeInfo] -> ShowS #

data AbsoluteTimeInfo #

Like `TimeInfo`, but with all relative times replaced by absolute UTC.

Constructors

AbsoluteTimestamp |

Fields

- fromAbsoluteTimestamp :: UTCTime

AbsoluteExpires |

Fields

- fromAbsoluteExpires :: UTCTime

#### Instances

Instances details

Show AbsoluteTimeInfo # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> AbsoluteTimeInfo -> ShowS # show :: AbsoluteTimeInfo -> String # showList :: [AbsoluteTimeInfo] -> ShowS #

fromAbsoluteTimeInfo :: AbsoluteTimeInfo -> UTCTime #

Just the UTC time value.

makeAbsoluteTimeInfo :: TimeInfo -> UTCTime -> AbsoluteTimeInfo #

Convert `TimeInfo` to `AbsoluteTimeInfo` given the current UTC time.

## Signature

data SignatureData #

Data that is always required for signing requests.

Constructors

SignatureData |

Fields

- signatureTimeInfo :: AbsoluteTimeInfo

  Expiration or timestamp.

- signatureTime :: UTCTime

  Current time.

- signatureCredentials :: Credentials

  Access credentials.

signatureData :: TimeInfo -> Credentials -> IO SignatureData #

Create signature data using the current system time.

class SignQuery request where #

A "signable" request object. Assembles together the Query, and signs it in one go.

Associated Types

type ServiceConfiguration request :: Type -> Type #

Additional information, like API endpoints and service-specific preferences.

Methods

signQuery :: request -> ServiceConfiguration request queryType -> SignatureData -> SignedQuery #

Create a `SignedQuery` from a request, additional `Info`, and `SignatureData`.

#### Instances

Instances details

SignQuery BatchGetItem # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchGetItem

Associated Types

type ServiceConfiguration BatchGetItem |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type ServiceConfiguration BatchGetItem = DdbConfiguration

Methods

signQuery :: BatchGetItem -> ServiceConfiguration BatchGetItem queryType -> SignatureData -> SignedQuery #

SignQuery BatchWriteItem # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchWriteItem

Associated Types

type ServiceConfiguration BatchWriteItem |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type ServiceConfiguration BatchWriteItem = DdbConfiguration

Methods

signQuery :: BatchWriteItem -> ServiceConfiguration BatchWriteItem queryType -> SignatureData -> SignedQuery #

SignQuery DeleteItem # |

Instance details

Defined in Aws.DynamoDb.Commands.DeleteItem

Associated Types

type ServiceConfiguration DeleteItem |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type ServiceConfiguration DeleteItem = DdbConfiguration

Methods

signQuery :: DeleteItem -> ServiceConfiguration DeleteItem queryType -> SignatureData -> SignedQuery #

SignQuery GetItem # |

Instance details

Defined in Aws.DynamoDb.Commands.GetItem

Associated Types

type ServiceConfiguration GetItem |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type ServiceConfiguration GetItem = DdbConfiguration

Methods

signQuery :: GetItem -> ServiceConfiguration GetItem queryType -> SignatureData -> SignedQuery #

SignQuery PutItem # |

Instance details

Defined in Aws.DynamoDb.Commands.PutItem

Associated Types

type ServiceConfiguration PutItem |
Instance details Defined in Aws.DynamoDb.Commands.PutItem type ServiceConfiguration PutItem = DdbConfiguration

Methods

signQuery :: PutItem -> ServiceConfiguration PutItem queryType -> SignatureData -> SignedQuery #

SignQuery Query # |

Instance details

Defined in Aws.DynamoDb.Commands.Query

Associated Types

type ServiceConfiguration Query |
Instance details Defined in Aws.DynamoDb.Commands.Query type ServiceConfiguration Query = DdbConfiguration

Methods

signQuery :: Query -> ServiceConfiguration Query queryType -> SignatureData -> SignedQuery #

SignQuery Scan # |

Instance details

Defined in Aws.DynamoDb.Commands.Scan

Associated Types

type ServiceConfiguration Scan |
Instance details Defined in Aws.DynamoDb.Commands.Scan type ServiceConfiguration Scan = DdbConfiguration

Methods

signQuery :: Scan -> ServiceConfiguration Scan queryType -> SignatureData -> SignedQuery #

SignQuery CreateTable # | ServiceConfiguration: `DdbConfiguration`

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ServiceConfiguration CreateTable |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration CreateTable = DdbConfiguration

Methods

signQuery :: CreateTable -> ServiceConfiguration CreateTable queryType -> SignatureData -> SignedQuery #

SignQuery DeleteTable # | ServiceConfiguration: `DdbConfiguration`

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ServiceConfiguration DeleteTable |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration DeleteTable = DdbConfiguration

Methods

signQuery :: DeleteTable -> ServiceConfiguration DeleteTable queryType -> SignatureData -> SignedQuery #

SignQuery DescribeTable # | ServiceConfiguration: `DdbConfiguration`

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ServiceConfiguration DescribeTable |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration DescribeTable = DdbConfiguration

Methods

signQuery :: DescribeTable -> ServiceConfiguration DescribeTable queryType -> SignatureData -> SignedQuery #

SignQuery ListTables # | ServiceConfiguration: `DdbConfiguration`

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ServiceConfiguration ListTables |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration ListTables = DdbConfiguration

Methods

signQuery :: ListTables -> ServiceConfiguration ListTables queryType -> SignatureData -> SignedQuery #

SignQuery UpdateTable # | ServiceConfiguration: `DdbConfiguration`

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ServiceConfiguration UpdateTable |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration UpdateTable = DdbConfiguration

Methods

signQuery :: UpdateTable -> ServiceConfiguration UpdateTable queryType -> SignatureData -> SignedQuery #

SignQuery UpdateItem # |

Instance details

Defined in Aws.DynamoDb.Commands.UpdateItem

Associated Types

type ServiceConfiguration UpdateItem |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem type ServiceConfiguration UpdateItem = DdbConfiguration

Methods

signQuery :: UpdateItem -> ServiceConfiguration UpdateItem queryType -> SignatureData -> SignedQuery #

SignQuery AddUserToGroup # |

Instance details

Defined in Aws.Iam.Commands.AddUserToGroup

Associated Types

type ServiceConfiguration AddUserToGroup |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type ServiceConfiguration AddUserToGroup = IamConfiguration

Methods

signQuery :: AddUserToGroup -> ServiceConfiguration AddUserToGroup queryType -> SignatureData -> SignedQuery #

SignQuery CreateAccessKey # |

Instance details

Defined in Aws.Iam.Commands.CreateAccessKey

Associated Types

type ServiceConfiguration CreateAccessKey |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type ServiceConfiguration CreateAccessKey = IamConfiguration

Methods

signQuery :: CreateAccessKey -> ServiceConfiguration CreateAccessKey queryType -> SignatureData -> SignedQuery #

SignQuery CreateGroup # |

Instance details

Defined in Aws.Iam.Commands.CreateGroup

Associated Types

type ServiceConfiguration CreateGroup |
Instance details Defined in Aws.Iam.Commands.CreateGroup type ServiceConfiguration CreateGroup = IamConfiguration

Methods

signQuery :: CreateGroup -> ServiceConfiguration CreateGroup queryType -> SignatureData -> SignedQuery #

SignQuery CreateUser # |

Instance details

Defined in Aws.Iam.Commands.CreateUser

Associated Types

type ServiceConfiguration CreateUser |
Instance details Defined in Aws.Iam.Commands.CreateUser type ServiceConfiguration CreateUser = IamConfiguration

Methods

signQuery :: CreateUser -> ServiceConfiguration CreateUser queryType -> SignatureData -> SignedQuery #

SignQuery DeleteAccessKey # |

Instance details

Defined in Aws.Iam.Commands.DeleteAccessKey

Associated Types

type ServiceConfiguration DeleteAccessKey |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type ServiceConfiguration DeleteAccessKey = IamConfiguration

Methods

signQuery :: DeleteAccessKey -> ServiceConfiguration DeleteAccessKey queryType -> SignatureData -> SignedQuery #

SignQuery DeleteGroup # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroup

Associated Types

type ServiceConfiguration DeleteGroup |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type ServiceConfiguration DeleteGroup = IamConfiguration

Methods

signQuery :: DeleteGroup -> ServiceConfiguration DeleteGroup queryType -> SignatureData -> SignedQuery #

SignQuery DeleteGroupPolicy # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroupPolicy

Associated Types

type ServiceConfiguration DeleteGroupPolicy |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type ServiceConfiguration DeleteGroupPolicy = IamConfiguration

Methods

signQuery :: DeleteGroupPolicy -> ServiceConfiguration DeleteGroupPolicy queryType -> SignatureData -> SignedQuery #

SignQuery DeleteUser # |

Instance details

Defined in Aws.Iam.Commands.DeleteUser

Associated Types

type ServiceConfiguration DeleteUser |
Instance details Defined in Aws.Iam.Commands.DeleteUser type ServiceConfiguration DeleteUser = IamConfiguration

Methods

signQuery :: DeleteUser -> ServiceConfiguration DeleteUser queryType -> SignatureData -> SignedQuery #

SignQuery DeleteUserPolicy # |

Instance details

Defined in Aws.Iam.Commands.DeleteUserPolicy

Associated Types

type ServiceConfiguration DeleteUserPolicy |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type ServiceConfiguration DeleteUserPolicy = IamConfiguration

Methods

signQuery :: DeleteUserPolicy -> ServiceConfiguration DeleteUserPolicy queryType -> SignatureData -> SignedQuery #

SignQuery GetGroupPolicy # |

Instance details

Defined in Aws.Iam.Commands.GetGroupPolicy

Associated Types

type ServiceConfiguration GetGroupPolicy |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type ServiceConfiguration GetGroupPolicy = IamConfiguration

Methods

signQuery :: GetGroupPolicy -> ServiceConfiguration GetGroupPolicy queryType -> SignatureData -> SignedQuery #

SignQuery GetUser # |

Instance details

Defined in Aws.Iam.Commands.GetUser

Associated Types

type ServiceConfiguration GetUser |
Instance details Defined in Aws.Iam.Commands.GetUser type ServiceConfiguration GetUser = IamConfiguration

Methods

signQuery :: GetUser -> ServiceConfiguration GetUser queryType -> SignatureData -> SignedQuery #

SignQuery GetUserPolicy # |

Instance details

Defined in Aws.Iam.Commands.GetUserPolicy

Associated Types

type ServiceConfiguration GetUserPolicy |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type ServiceConfiguration GetUserPolicy = IamConfiguration

Methods

signQuery :: GetUserPolicy -> ServiceConfiguration GetUserPolicy queryType -> SignatureData -> SignedQuery #

SignQuery ListAccessKeys # |

Instance details

Defined in Aws.Iam.Commands.ListAccessKeys

Associated Types

type ServiceConfiguration ListAccessKeys |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type ServiceConfiguration ListAccessKeys = IamConfiguration

Methods

signQuery :: ListAccessKeys -> ServiceConfiguration ListAccessKeys queryType -> SignatureData -> SignedQuery #

SignQuery ListGroupPolicies # |

Instance details

Defined in Aws.Iam.Commands.ListGroupPolicies

Associated Types

type ServiceConfiguration ListGroupPolicies |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type ServiceConfiguration ListGroupPolicies = IamConfiguration

Methods

signQuery :: ListGroupPolicies -> ServiceConfiguration ListGroupPolicies queryType -> SignatureData -> SignedQuery #

SignQuery ListGroups # |

Instance details

Defined in Aws.Iam.Commands.ListGroups

Associated Types

type ServiceConfiguration ListGroups |
Instance details Defined in Aws.Iam.Commands.ListGroups type ServiceConfiguration ListGroups = IamConfiguration

Methods

signQuery :: ListGroups -> ServiceConfiguration ListGroups queryType -> SignatureData -> SignedQuery #

SignQuery ListMfaDevices # |

Instance details

Defined in Aws.Iam.Commands.ListMfaDevices

Associated Types

type ServiceConfiguration ListMfaDevices |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices type ServiceConfiguration ListMfaDevices = IamConfiguration

Methods

signQuery :: ListMfaDevices -> ServiceConfiguration ListMfaDevices queryType -> SignatureData -> SignedQuery #

SignQuery ListUserPolicies # |

Instance details

Defined in Aws.Iam.Commands.ListUserPolicies

Associated Types

type ServiceConfiguration ListUserPolicies |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type ServiceConfiguration ListUserPolicies = IamConfiguration

Methods

signQuery :: ListUserPolicies -> ServiceConfiguration ListUserPolicies queryType -> SignatureData -> SignedQuery #

SignQuery ListUsers # |

Instance details

Defined in Aws.Iam.Commands.ListUsers

Associated Types

type ServiceConfiguration ListUsers |
Instance details Defined in Aws.Iam.Commands.ListUsers type ServiceConfiguration ListUsers = IamConfiguration

Methods

signQuery :: ListUsers -> ServiceConfiguration ListUsers queryType -> SignatureData -> SignedQuery #

SignQuery PutGroupPolicy # |

Instance details

Defined in Aws.Iam.Commands.PutGroupPolicy

Associated Types

type ServiceConfiguration PutGroupPolicy |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type ServiceConfiguration PutGroupPolicy = IamConfiguration

Methods

signQuery :: PutGroupPolicy -> ServiceConfiguration PutGroupPolicy queryType -> SignatureData -> SignedQuery #

SignQuery PutUserPolicy # |

Instance details

Defined in Aws.Iam.Commands.PutUserPolicy

Associated Types

type ServiceConfiguration PutUserPolicy |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type ServiceConfiguration PutUserPolicy = IamConfiguration

Methods

signQuery :: PutUserPolicy -> ServiceConfiguration PutUserPolicy queryType -> SignatureData -> SignedQuery #

SignQuery RemoveUserFromGroup # |

Instance details

Defined in Aws.Iam.Commands.RemoveUserFromGroup

Associated Types

type ServiceConfiguration RemoveUserFromGroup |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type ServiceConfiguration RemoveUserFromGroup = IamConfiguration

Methods

signQuery :: RemoveUserFromGroup -> ServiceConfiguration RemoveUserFromGroup queryType -> SignatureData -> SignedQuery #

SignQuery UpdateAccessKey # |

Instance details

Defined in Aws.Iam.Commands.UpdateAccessKey

Associated Types

type ServiceConfiguration UpdateAccessKey |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type ServiceConfiguration UpdateAccessKey = IamConfiguration

Methods

signQuery :: UpdateAccessKey -> ServiceConfiguration UpdateAccessKey queryType -> SignatureData -> SignedQuery #

SignQuery UpdateGroup # |

Instance details

Defined in Aws.Iam.Commands.UpdateGroup

Associated Types

type ServiceConfiguration UpdateGroup |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type ServiceConfiguration UpdateGroup = IamConfiguration

Methods

signQuery :: UpdateGroup -> ServiceConfiguration UpdateGroup queryType -> SignatureData -> SignedQuery #

SignQuery UpdateUser # |

Instance details

Defined in Aws.Iam.Commands.UpdateUser

Associated Types

type ServiceConfiguration UpdateUser |
Instance details Defined in Aws.Iam.Commands.UpdateUser type ServiceConfiguration UpdateUser = IamConfiguration

Methods

signQuery :: UpdateUser -> ServiceConfiguration UpdateUser queryType -> SignatureData -> SignedQuery #

SignQuery CopyObject # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.CopyObject

Associated Types

type ServiceConfiguration CopyObject |
Instance details Defined in Aws.S3.Commands.CopyObject type ServiceConfiguration CopyObject = S3Configuration

Methods

signQuery :: CopyObject -> ServiceConfiguration CopyObject queryType -> SignatureData -> SignedQuery #

SignQuery DeleteBucket # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.DeleteBucket

Associated Types

type ServiceConfiguration DeleteBucket |
Instance details Defined in Aws.S3.Commands.DeleteBucket type ServiceConfiguration DeleteBucket = S3Configuration

Methods

signQuery :: DeleteBucket -> ServiceConfiguration DeleteBucket queryType -> SignatureData -> SignedQuery #

SignQuery DeleteObject # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.DeleteObject

Associated Types

type ServiceConfiguration DeleteObject |
Instance details Defined in Aws.S3.Commands.DeleteObject type ServiceConfiguration DeleteObject = S3Configuration

Methods

signQuery :: DeleteObject -> ServiceConfiguration DeleteObject queryType -> SignatureData -> SignedQuery #

SignQuery DeleteObjectVersion # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.DeleteObjectVersion

Associated Types

type ServiceConfiguration DeleteObjectVersion |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type ServiceConfiguration DeleteObjectVersion = S3Configuration

Methods

signQuery :: DeleteObjectVersion -> ServiceConfiguration DeleteObjectVersion queryType -> SignatureData -> SignedQuery #

SignQuery DeleteObjects # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.DeleteObjects

Associated Types

type ServiceConfiguration DeleteObjects |
Instance details Defined in Aws.S3.Commands.DeleteObjects type ServiceConfiguration DeleteObjects = S3Configuration

Methods

signQuery :: DeleteObjects -> ServiceConfiguration DeleteObjects queryType -> SignatureData -> SignedQuery #

SignQuery GetBucket # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.GetBucket

Associated Types

type ServiceConfiguration GetBucket |
Instance details Defined in Aws.S3.Commands.GetBucket type ServiceConfiguration GetBucket = S3Configuration

Methods

signQuery :: GetBucket -> ServiceConfiguration GetBucket queryType -> SignatureData -> SignedQuery #

SignQuery GetBucketLocation # |

Instance details

Defined in Aws.S3.Commands.GetBucketLocation

Associated Types

type ServiceConfiguration GetBucketLocation |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type ServiceConfiguration GetBucketLocation = S3Configuration

Methods

signQuery :: GetBucketLocation -> ServiceConfiguration GetBucketLocation queryType -> SignatureData -> SignedQuery #

SignQuery GetBucketObjectVersions # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.GetBucketObjectVersions

Associated Types

type ServiceConfiguration GetBucketObjectVersions |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type ServiceConfiguration GetBucketObjectVersions = S3Configuration

Methods

signQuery :: GetBucketObjectVersions -> ServiceConfiguration GetBucketObjectVersions queryType -> SignatureData -> SignedQuery #

SignQuery GetBucketVersioning # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.GetBucketVersioning

Associated Types

type ServiceConfiguration GetBucketVersioning |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type ServiceConfiguration GetBucketVersioning = S3Configuration

Methods

signQuery :: GetBucketVersioning -> ServiceConfiguration GetBucketVersioning queryType -> SignatureData -> SignedQuery #

SignQuery GetObject # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.GetObject

Associated Types

type ServiceConfiguration GetObject |
Instance details Defined in Aws.S3.Commands.GetObject type ServiceConfiguration GetObject = S3Configuration

Methods

signQuery :: GetObject -> ServiceConfiguration GetObject queryType -> SignatureData -> SignedQuery #

SignQuery GetService # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.GetService

Associated Types

type ServiceConfiguration GetService |
Instance details Defined in Aws.S3.Commands.GetService type ServiceConfiguration GetService = S3Configuration

Methods

signQuery :: GetService -> ServiceConfiguration GetService queryType -> SignatureData -> SignedQuery #

SignQuery HeadObject # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.HeadObject

Associated Types

type ServiceConfiguration HeadObject |
Instance details Defined in Aws.S3.Commands.HeadObject type ServiceConfiguration HeadObject = S3Configuration

Methods

signQuery :: HeadObject -> ServiceConfiguration HeadObject queryType -> SignatureData -> SignedQuery #

SignQuery AbortMultipartUpload # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ServiceConfiguration AbortMultipartUpload |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration AbortMultipartUpload = S3Configuration

Methods

signQuery :: AbortMultipartUpload -> ServiceConfiguration AbortMultipartUpload queryType -> SignatureData -> SignedQuery #

SignQuery CompleteMultipartUpload # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ServiceConfiguration CompleteMultipartUpload |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration CompleteMultipartUpload = S3Configuration

Methods

signQuery :: CompleteMultipartUpload -> ServiceConfiguration CompleteMultipartUpload queryType -> SignatureData -> SignedQuery #

SignQuery InitiateMultipartUpload # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ServiceConfiguration InitiateMultipartUpload |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration InitiateMultipartUpload = S3Configuration

Methods

signQuery :: InitiateMultipartUpload -> ServiceConfiguration InitiateMultipartUpload queryType -> SignatureData -> SignedQuery #

SignQuery UploadPart # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ServiceConfiguration UploadPart |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration UploadPart = S3Configuration

Methods

signQuery :: UploadPart -> ServiceConfiguration UploadPart queryType -> SignatureData -> SignedQuery #

SignQuery PutBucket # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.PutBucket

Associated Types

type ServiceConfiguration PutBucket |
Instance details Defined in Aws.S3.Commands.PutBucket type ServiceConfiguration PutBucket = S3Configuration

Methods

signQuery :: PutBucket -> ServiceConfiguration PutBucket queryType -> SignatureData -> SignedQuery #

SignQuery PutBucketVersioning # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.PutBucketVersioning

Associated Types

type ServiceConfiguration PutBucketVersioning |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type ServiceConfiguration PutBucketVersioning = S3Configuration

Methods

signQuery :: PutBucketVersioning -> ServiceConfiguration PutBucketVersioning queryType -> SignatureData -> SignedQuery #

SignQuery PutObject # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.PutObject

Associated Types

type ServiceConfiguration PutObject |
Instance details Defined in Aws.S3.Commands.PutObject type ServiceConfiguration PutObject = S3Configuration

Methods

signQuery :: PutObject -> ServiceConfiguration PutObject queryType -> SignatureData -> SignedQuery #

SignQuery DeleteIdentity # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.DeleteIdentity

Associated Types

type ServiceConfiguration DeleteIdentity |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type ServiceConfiguration DeleteIdentity = SesConfiguration

Methods

signQuery :: DeleteIdentity -> ServiceConfiguration DeleteIdentity queryType -> SignatureData -> SignedQuery #

SignQuery GetIdentityDkimAttributes # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.GetIdentityDkimAttributes

Associated Types

type ServiceConfiguration GetIdentityDkimAttributes |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type ServiceConfiguration GetIdentityDkimAttributes = SesConfiguration

Methods

signQuery :: GetIdentityDkimAttributes -> ServiceConfiguration GetIdentityDkimAttributes queryType -> SignatureData -> SignedQuery #

SignQuery GetIdentityNotificationAttributes # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes

Associated Types

type ServiceConfiguration GetIdentityNotificationAttributes |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type ServiceConfiguration GetIdentityNotificationAttributes = SesConfiguration

Methods

signQuery :: GetIdentityNotificationAttributes -> ServiceConfiguration GetIdentityNotificationAttributes queryType -> SignatureData -> SignedQuery #

SignQuery GetIdentityVerificationAttributes # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes

Associated Types

type ServiceConfiguration GetIdentityVerificationAttributes |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type ServiceConfiguration GetIdentityVerificationAttributes = SesConfiguration

Methods

signQuery :: GetIdentityVerificationAttributes -> ServiceConfiguration GetIdentityVerificationAttributes queryType -> SignatureData -> SignedQuery #

SignQuery ListIdentities # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.ListIdentities

Associated Types

type ServiceConfiguration ListIdentities |
Instance details Defined in Aws.Ses.Commands.ListIdentities type ServiceConfiguration ListIdentities = SesConfiguration

Methods

signQuery :: ListIdentities -> ServiceConfiguration ListIdentities queryType -> SignatureData -> SignedQuery #

SignQuery SendRawEmail # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.SendRawEmail

Associated Types

type ServiceConfiguration SendRawEmail |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type ServiceConfiguration SendRawEmail = SesConfiguration

Methods

signQuery :: SendRawEmail -> ServiceConfiguration SendRawEmail queryType -> SignatureData -> SignedQuery #

SignQuery SetIdentityDkimEnabled # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.SetIdentityDkimEnabled

Associated Types

type ServiceConfiguration SetIdentityDkimEnabled |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type ServiceConfiguration SetIdentityDkimEnabled = SesConfiguration

Methods

signQuery :: SetIdentityDkimEnabled -> ServiceConfiguration SetIdentityDkimEnabled queryType -> SignatureData -> SignedQuery #

SignQuery SetIdentityFeedbackForwardingEnabled # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled

Associated Types

type ServiceConfiguration SetIdentityFeedbackForwardingEnabled |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type ServiceConfiguration SetIdentityFeedbackForwardingEnabled = SesConfiguration

Methods

signQuery :: SetIdentityFeedbackForwardingEnabled -> ServiceConfiguration SetIdentityFeedbackForwardingEnabled queryType -> SignatureData -> SignedQuery #

SignQuery SetIdentityNotificationTopic # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.SetIdentityNotificationTopic

Associated Types

type ServiceConfiguration SetIdentityNotificationTopic |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type ServiceConfiguration SetIdentityNotificationTopic = SesConfiguration

Methods

signQuery :: SetIdentityNotificationTopic -> ServiceConfiguration SetIdentityNotificationTopic queryType -> SignatureData -> SignedQuery #

SignQuery VerifyDomainDkim # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.VerifyDomainDkim

Associated Types

type ServiceConfiguration VerifyDomainDkim |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type ServiceConfiguration VerifyDomainDkim = SesConfiguration

Methods

signQuery :: VerifyDomainDkim -> ServiceConfiguration VerifyDomainDkim queryType -> SignatureData -> SignedQuery #

SignQuery VerifyDomainIdentity # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.VerifyDomainIdentity

Associated Types

type ServiceConfiguration VerifyDomainIdentity |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type ServiceConfiguration VerifyDomainIdentity = SesConfiguration

Methods

signQuery :: VerifyDomainIdentity -> ServiceConfiguration VerifyDomainIdentity queryType -> SignatureData -> SignedQuery #

SignQuery VerifyEmailIdentity # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.VerifyEmailIdentity

Associated Types

type ServiceConfiguration VerifyEmailIdentity |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type ServiceConfiguration VerifyEmailIdentity = SesConfiguration

Methods

signQuery :: VerifyEmailIdentity -> ServiceConfiguration VerifyEmailIdentity queryType -> SignatureData -> SignedQuery #

SignQuery BatchDeleteAttributes # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ServiceConfiguration BatchDeleteAttributes |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration BatchDeleteAttributes = SdbConfiguration

Methods

signQuery :: BatchDeleteAttributes -> ServiceConfiguration BatchDeleteAttributes queryType -> SignatureData -> SignedQuery #

SignQuery BatchPutAttributes # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ServiceConfiguration BatchPutAttributes |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration BatchPutAttributes = SdbConfiguration

Methods

signQuery :: BatchPutAttributes -> ServiceConfiguration BatchPutAttributes queryType -> SignatureData -> SignedQuery #

SignQuery DeleteAttributes # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ServiceConfiguration DeleteAttributes |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration DeleteAttributes = SdbConfiguration

Methods

signQuery :: DeleteAttributes -> ServiceConfiguration DeleteAttributes queryType -> SignatureData -> SignedQuery #

SignQuery GetAttributes # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ServiceConfiguration GetAttributes |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration GetAttributes = SdbConfiguration

Methods

signQuery :: GetAttributes -> ServiceConfiguration GetAttributes queryType -> SignatureData -> SignedQuery #

SignQuery PutAttributes # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type ServiceConfiguration PutAttributes |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration PutAttributes = SdbConfiguration

Methods

signQuery :: PutAttributes -> ServiceConfiguration PutAttributes queryType -> SignatureData -> SignedQuery #

SignQuery CreateDomain # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ServiceConfiguration CreateDomain |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration CreateDomain = SdbConfiguration

Methods

signQuery :: CreateDomain -> ServiceConfiguration CreateDomain queryType -> SignatureData -> SignedQuery #

SignQuery DeleteDomain # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ServiceConfiguration DeleteDomain |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration DeleteDomain = SdbConfiguration

Methods

signQuery :: DeleteDomain -> ServiceConfiguration DeleteDomain queryType -> SignatureData -> SignedQuery #

SignQuery DomainMetadata # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ServiceConfiguration DomainMetadata |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration DomainMetadata = SdbConfiguration

Methods

signQuery :: DomainMetadata -> ServiceConfiguration DomainMetadata queryType -> SignatureData -> SignedQuery #

SignQuery ListDomains # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type ServiceConfiguration ListDomains |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration ListDomains = SdbConfiguration

Methods

signQuery :: ListDomains -> ServiceConfiguration ListDomains queryType -> SignatureData -> SignedQuery #

SignQuery Select # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Select

Associated Types

type ServiceConfiguration Select |
Instance details Defined in Aws.SimpleDb.Commands.Select type ServiceConfiguration Select = SdbConfiguration

Methods

signQuery :: Select -> ServiceConfiguration Select queryType -> SignatureData -> SignedQuery #

SignQuery ChangeMessageVisibility # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type ServiceConfiguration ChangeMessageVisibility |
Instance details Defined in Aws.Sqs.Commands.Message type ServiceConfiguration ChangeMessageVisibility = SqsConfiguration

Methods

signQuery :: ChangeMessageVisibility -> ServiceConfiguration ChangeMessageVisibility queryType -> SignatureData -> SignedQuery #

SignQuery DeleteMessage # |

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type ServiceConfiguration DeleteMessage |
Instance details Defined in Aws.Sqs.Commands.Message type ServiceConfiguration DeleteMessage = SqsConfiguration

Methods

signQuery :: DeleteMessage -> ServiceConfiguration DeleteMessage queryType -> SignatureData -> SignedQuery #

SignQuery ReceiveMessage # |

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type ServiceConfiguration ReceiveMessage |
Instance details Defined in Aws.Sqs.Commands.Message type ServiceConfiguration ReceiveMessage = SqsConfiguration

Methods

signQuery :: ReceiveMessage -> ServiceConfiguration ReceiveMessage queryType -> SignatureData -> SignedQuery #

SignQuery SendMessage # |

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type ServiceConfiguration SendMessage |
Instance details Defined in Aws.Sqs.Commands.Message type ServiceConfiguration SendMessage = SqsConfiguration

Methods

signQuery :: SendMessage -> ServiceConfiguration SendMessage queryType -> SignatureData -> SignedQuery #

SignQuery AddPermission # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type ServiceConfiguration AddPermission |
Instance details Defined in Aws.Sqs.Commands.Permission type ServiceConfiguration AddPermission = SqsConfiguration

Methods

signQuery :: AddPermission -> ServiceConfiguration AddPermission queryType -> SignatureData -> SignedQuery #

SignQuery RemovePermission # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type ServiceConfiguration RemovePermission |
Instance details Defined in Aws.Sqs.Commands.Permission type ServiceConfiguration RemovePermission = SqsConfiguration

Methods

signQuery :: RemovePermission -> ServiceConfiguration RemovePermission queryType -> SignatureData -> SignedQuery #

SignQuery CreateQueue # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type ServiceConfiguration CreateQueue |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration CreateQueue = SqsConfiguration

Methods

signQuery :: CreateQueue -> ServiceConfiguration CreateQueue queryType -> SignatureData -> SignedQuery #

SignQuery DeleteQueue # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type ServiceConfiguration DeleteQueue |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration DeleteQueue = SqsConfiguration

Methods

signQuery :: DeleteQueue -> ServiceConfiguration DeleteQueue queryType -> SignatureData -> SignedQuery #

SignQuery ListQueues # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type ServiceConfiguration ListQueues |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration ListQueues = SqsConfiguration

Methods

signQuery :: ListQueues -> ServiceConfiguration ListQueues queryType -> SignatureData -> SignedQuery #

SignQuery GetQueueAttributes # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type ServiceConfiguration GetQueueAttributes |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ServiceConfiguration GetQueueAttributes = SqsConfiguration

Methods

signQuery :: GetQueueAttributes -> ServiceConfiguration GetQueueAttributes queryType -> SignatureData -> SignedQuery #

SignQuery SetQueueAttributes # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type ServiceConfiguration SetQueueAttributes |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ServiceConfiguration SetQueueAttributes = SqsConfiguration

Methods

signQuery :: SetQueueAttributes -> ServiceConfiguration SetQueueAttributes queryType -> SignatureData -> SignedQuery #

data AuthorizationHash #

Supported crypto hashes for the signature.

Constructors

HmacSHA1 |
HmacSHA256 |

#### Instances

Instances details

Show AuthorizationHash # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> AuthorizationHash -> ShowS # show :: AuthorizationHash -> String # showList :: [AuthorizationHash] -> ShowS #

amzHash :: AuthorizationHash -> ByteString #

Authorization hash identifier as expected by Amazon.

signature :: Credentials -> AuthorizationHash -> ByteString -> ByteString #

Create a signature. Usually, AWS wants a specifically constructed string to be signed.

The signature is a HMAC-based hash of the string and the secret access key.

credentialV4 #

Arguments

:: SignatureData |
-> ByteString | region, e.g. us-east-1
-> ByteString | service, e.g. dynamodb
-> ByteString |

Generates the Credential string, required for V4 signatures.

authorizationV4 #

Arguments

:: SignatureData |
-> AuthorizationHash |
-> ByteString | region, e.g. us-east-1
-> ByteString | service, e.g. dynamodb
-> ByteString | SignedHeaders, e.g. content-type;host;x-amz-date;x-amz-target
-> ByteString | canonicalRequest (before hashing)
-> IO ByteString |

Use this to create the Authorization header to set into `sqAuthorization`. See http://docs.aws.amazon.com/general/latest/gr/signature-version-4.html: you must create the canonical request as explained by Step 1 and this function takes care of Steps 2 and 3.

authorizationV4' #

Arguments

:: SignatureData |
-> AuthorizationHash |
-> ByteString | region, e.g. us-east-1
-> ByteString | service, e.g. dynamodb
-> ByteString | SignedHeaders, e.g. content-type;host;x-amz-date;x-amz-target
-> ByteString | canonicalRequest (before hashing)
-> ByteString |

IO free version of `authorizationV4`, use this if you need to compute the signature outside of IO.

signatureV4 #

Arguments

:: SignatureData |
-> AuthorizationHash |
-> ByteString | region, e.g. us-east-1
-> ByteString | service, e.g. dynamodb
-> ByteString | canonicalRequest (before hashing)
-> ByteString |

## Query construction helpers

queryList :: (a -> [(ByteString, ByteString)]) -> ByteString -> [a] -> [(ByteString, ByteString)] #

`queryList f prefix xs` constructs a query list from a list of elements `xs`, using a common prefix `prefix`, and a transformer function `f`.

A dot (`.`) is interspersed between prefix and generated key.

Example:

`queryList swap "pfx" [("a", "b"), ("c", "d")]` evaluates to `[("pfx.b", "a"), ("pfx.d", "c")]` (except with ByteString instead of String, of course).

awsBool :: Bool -> ByteString #

A "true"/"false" boolean as requested by some services.

awsTrue :: ByteString #

"true"

awsFalse :: ByteString #

"false"

fmtTime :: String -> UTCTime -> ByteString #

Format time according to a format string, as a ByteString.

fmtRfc822Time :: UTCTime -> ByteString #

Format time in RFC 822 format.

rfc822Time :: String #

fmtAmzTime :: UTCTime -> ByteString #

Format time in yyyy-mm-ddThh-mm-ss format.

fmtTimeEpochSeconds :: UTCTime -> ByteString #

Format time as seconds since the Unix epoch.

parseHttpDate :: String -> Maybe UTCTime #

Parse HTTP-date (section 3.3.1 of RFC 2616)

httpDate1 :: String #

HTTP-date (section 3.3.1 of RFC 2616, first type - RFC1123-style)

textHttpDate :: UTCTime -> Text #

Format (as Text) HTTP-date (section 3.3.1 of RFC 2616, first type - RFC1123-style)

iso8601UtcDate :: String #

# Transactions

class (SignQuery r, ResponseConsumer r a, Loggable (ResponseMetadata a)) => Transaction r a | r -> a #

Associates a request type and a response type in a bi-directional way.

This allows the type-checker to infer the response type when given the request type and vice versa.

Note that the actual request generation and response parsing resides in `SignQuery` and `ResponseConsumer` respectively.

#### Instances

Instances details

Transaction BatchGetItem BatchGetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem
Transaction BatchWriteItem BatchWriteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem
Transaction DeleteItem DeleteItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem
Transaction GetItem GetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem
Transaction PutItem PutItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem
Transaction Query QueryResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Query
Transaction Scan ScanResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Scan
Transaction CreateTable CreateTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
Transaction DeleteTable DeleteTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
Transaction DescribeTable DescribeTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
Transaction ListTables ListTablesResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
Transaction UpdateTable UpdateTableResult # |
Instance details Defined in Aws.DynamoDb.Commands.Table
Transaction UpdateItem UpdateItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem
Transaction AddUserToGroup AddUserToGroupResponse # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup
Transaction CreateAccessKey CreateAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey
Transaction CreateGroup CreateGroupResponse # |
Instance details Defined in Aws.Iam.Commands.CreateGroup
Transaction CreateUser CreateUserResponse # |
Instance details Defined in Aws.Iam.Commands.CreateUser
Transaction DeleteAccessKey DeleteAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey
Transaction DeleteGroup DeleteGroupResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup
Transaction DeleteGroupPolicy DeleteGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy
Transaction DeleteUser DeleteUserResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteUser
Transaction DeleteUserPolicy DeleteUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy
Transaction GetGroupPolicy GetGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy
Transaction GetUser GetUserResponse # |
Instance details Defined in Aws.Iam.Commands.GetUser
Transaction GetUserPolicy GetUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy
Transaction ListAccessKeys ListAccessKeysResponse # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys
Transaction ListGroupPolicies ListGroupPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies
Transaction ListGroups ListGroupsResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroups
Transaction ListMfaDevices ListMfaDevicesResponse # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices
Transaction ListUserPolicies ListUserPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies
Transaction ListUsers ListUsersResponse # |
Instance details Defined in Aws.Iam.Commands.ListUsers
Transaction PutGroupPolicy PutGroupPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy
Transaction PutUserPolicy PutUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy
Transaction RemoveUserFromGroup RemoveUserFromGroupResponse # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup
Transaction UpdateAccessKey UpdateAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey
Transaction UpdateGroup UpdateGroupResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup
Transaction UpdateUser UpdateUserResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateUser
Transaction CopyObject CopyObjectResponse # |
Instance details Defined in Aws.S3.Commands.CopyObject
Transaction DeleteBucket DeleteBucketResponse # |
Instance details Defined in Aws.S3.Commands.DeleteBucket
Transaction DeleteObject DeleteObjectResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObject
Transaction DeleteObjectVersion DeleteObjectVersionResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion
Transaction DeleteObjects DeleteObjectsResponse # |
Instance details Defined in Aws.S3.Commands.DeleteObjects
Transaction GetBucket GetBucketResponse # |
Instance details Defined in Aws.S3.Commands.GetBucket
Transaction GetBucketLocation GetBucketLocationResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation
Transaction GetBucketObjectVersions GetBucketObjectVersionsResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions
Transaction GetBucketVersioning GetBucketVersioningResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning
Transaction GetObject GetObjectResponse # |
Instance details Defined in Aws.S3.Commands.GetObject
Transaction GetService GetServiceResponse # |
Instance details Defined in Aws.S3.Commands.GetService
Transaction HeadObject HeadObjectResponse # |
Instance details Defined in Aws.S3.Commands.HeadObject
Transaction AbortMultipartUpload AbortMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart
Transaction CompleteMultipartUpload CompleteMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart
Transaction InitiateMultipartUpload InitiateMultipartUploadResponse # |
Instance details Defined in Aws.S3.Commands.Multipart
Transaction UploadPart UploadPartResponse # |
Instance details Defined in Aws.S3.Commands.Multipart
Transaction PutBucket PutBucketResponse # |
Instance details Defined in Aws.S3.Commands.PutBucket
Transaction PutBucketVersioning PutBucketVersioningResponse # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning
Transaction PutObject PutObjectResponse # |
Instance details Defined in Aws.S3.Commands.PutObject
Transaction DeleteIdentity DeleteIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity
Transaction GetIdentityDkimAttributes GetIdentityDkimAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes
Transaction GetIdentityNotificationAttributes GetIdentityNotificationAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes
Transaction GetIdentityVerificationAttributes GetIdentityVerificationAttributesResponse # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes
Transaction ListIdentities ListIdentitiesResponse # |
Instance details Defined in Aws.Ses.Commands.ListIdentities
Transaction SendRawEmail SendRawEmailResponse # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail
Transaction SetIdentityDkimEnabled SetIdentityDkimEnabledResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled
Transaction SetIdentityFeedbackForwardingEnabled SetIdentityFeedbackForwardingEnabledResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled
Transaction SetIdentityNotificationTopic SetIdentityNotificationTopicResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic
Transaction VerifyDomainDkim VerifyDomainDkimResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim
Transaction VerifyDomainIdentity VerifyDomainIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity
Transaction VerifyEmailIdentity VerifyEmailIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity
Transaction BatchDeleteAttributes BatchDeleteAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
Transaction BatchPutAttributes BatchPutAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
Transaction DeleteAttributes DeleteAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
Transaction GetAttributes GetAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
Transaction PutAttributes PutAttributesResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
Transaction CreateDomain CreateDomainResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
Transaction DeleteDomain DeleteDomainResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
Transaction DomainMetadata DomainMetadataResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
Transaction ListDomains ListDomainsResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
Transaction Select SelectResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Select
Transaction ChangeMessageVisibility ChangeMessageVisibilityResponse # |
Instance details Defined in Aws.Sqs.Commands.Message
Transaction DeleteMessage DeleteMessageResponse # |
Instance details Defined in Aws.Sqs.Commands.Message
Transaction ReceiveMessage ReceiveMessageResponse # |
Instance details Defined in Aws.Sqs.Commands.Message
Transaction SendMessage SendMessageResponse # |
Instance details Defined in Aws.Sqs.Commands.Message
Transaction AddPermission AddPermissionResponse # |
Instance details Defined in Aws.Sqs.Commands.Permission
Transaction RemovePermission RemovePermissionResponse # |
Instance details Defined in Aws.Sqs.Commands.Permission
Transaction CreateQueue CreateQueueResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue
Transaction DeleteQueue DeleteQueueResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue
Transaction ListQueues ListQueuesResponse # |
Instance details Defined in Aws.Sqs.Commands.Queue
Transaction GetQueueAttributes GetQueueAttributesResponse # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes
Transaction SetQueueAttributes SetQueueAttributesResponse # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes

class Transaction r a => IteratedTransaction r a | r -> a where #

A transaction that may need to be split over multiple requests, for example because of upstream response size limits.

Methods

nextIteratedRequest :: r -> a -> Maybe r #

#### Instances

Instances details

IteratedTransaction Query QueryResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Query Methods nextIteratedRequest :: Query -> QueryResponse -> Maybe Query #
IteratedTransaction Scan ScanResponse # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods nextIteratedRequest :: Scan -> ScanResponse -> Maybe Scan #
IteratedTransaction ListAccessKeys ListAccessKeysResponse # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys Methods nextIteratedRequest :: ListAccessKeys -> ListAccessKeysResponse -> Maybe ListAccessKeys #
IteratedTransaction ListGroupPolicies ListGroupPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies Methods nextIteratedRequest :: ListGroupPolicies -> ListGroupPoliciesResponse -> Maybe ListGroupPolicies #
IteratedTransaction ListGroups ListGroupsResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroups Methods nextIteratedRequest :: ListGroups -> ListGroupsResponse -> Maybe ListGroups #
IteratedTransaction ListMfaDevices ListMfaDevicesResponse # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices Methods nextIteratedRequest :: ListMfaDevices -> ListMfaDevicesResponse -> Maybe ListMfaDevices #
IteratedTransaction ListUserPolicies ListUserPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies Methods nextIteratedRequest :: ListUserPolicies -> ListUserPoliciesResponse -> Maybe ListUserPolicies #
IteratedTransaction ListUsers ListUsersResponse # |
Instance details Defined in Aws.Iam.Commands.ListUsers Methods nextIteratedRequest :: ListUsers -> ListUsersResponse -> Maybe ListUsers #
IteratedTransaction GetBucket GetBucketResponse # |
Instance details Defined in Aws.S3.Commands.GetBucket Methods nextIteratedRequest :: GetBucket -> GetBucketResponse -> Maybe GetBucket #
IteratedTransaction GetBucketObjectVersions GetBucketObjectVersionsResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions Methods nextIteratedRequest :: GetBucketObjectVersions -> GetBucketObjectVersionsResponse -> Maybe GetBucketObjectVersions #
IteratedTransaction ListDomains ListDomainsResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods nextIteratedRequest :: ListDomains -> ListDomainsResponse -> Maybe ListDomains #
IteratedTransaction Select SelectResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Select Methods nextIteratedRequest :: Select -> SelectResponse -> Maybe Select #

# Credentials

data Credentials #

AWS access credentials.

Constructors

Credentials |

Fields

- accessKeyID :: ByteString

  AWS Access Key ID.

- secretAccessKey :: ByteString

  AWS Secret Access Key.

- v4SigningKeys :: IORef [V4Key]

  Signing keys for signature version 4

- iamToken :: Maybe ByteString

  Signed IAM token

- isAnonymousCredentials :: Bool

  Set when the credentials are intended for anonymous access.

#### Instances

Instances details

Show Credentials # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> Credentials -> ShowS # show :: Credentials -> String # showList :: [Credentials] -> ShowS #

makeCredentials #

Arguments

:: MonadIO io |
=> ByteString | AWS Access Key ID
-> ByteString | AWS Secret Access Key
-> io Credentials |

credentialsDefaultFile :: MonadIO io => io (Maybe FilePath) #

The file where access credentials are loaded, when using `loadCredentialsDefault`. May return `Nothing` if `HOME` is unset.

Value: directory`/.aws-keys`

credentialsDefaultKey :: Text #

The key to be used in the access credential file that is loaded, when using `loadCredentialsDefault`.

Value: `default`

loadCredentialsFromFile :: MonadIO io => FilePath -> Text -> io (Maybe Credentials) #

Load credentials from a (text) file given a key name.

The file consists of a sequence of lines, each in the following format:

    keyName awsKeyID awsKeySecret

loadCredentialsFromEnv :: MonadIO io => io (Maybe Credentials) #

Load credentials from the environment variables `AWS_ACCESS_KEY_ID` and `AWS_ACCESS_KEY_SECRET` (or `AWS_SECRET_ACCESS_KEY`), if possible.

loadCredentialsFromInstanceMetadata :: MonadIO io => io (Maybe Credentials) #

loadCredentialsFromEnvOrFile :: MonadIO io => FilePath -> Text -> io (Maybe Credentials) #

Load credentials from environment variables if possible, or alternatively from a file with a given key name.

See `loadCredentialsFromEnv` and `loadCredentialsFromFile` for details.

loadCredentialsFromEnvOrFileOrInstanceMetadata :: MonadIO io => FilePath -> Text -> io (Maybe Credentials) #

Load credentials from environment variables if possible, or alternatively from the instance metadata store, or alternatively from a file with a given key name.

See `loadCredentialsFromEnv`, `loadCredentialsFromFile` and `loadCredentialsFromInstanceMetadata` for details.

loadCredentialsDefault :: MonadIO io => io (Maybe Credentials) #

Load credentials from environment variables if possible, or alternative from the default file with the default key name.

Default file: directory`/.aws-keys` Default key name: `default`

See `loadCredentialsFromEnv` and `loadCredentialsFromFile` for details.

anonymousCredentials :: MonadIO io => io Credentials #

Make a dummy Credentials that can be used to access some AWS services anonymously.

# Service configuration

class DefaultServiceConfiguration config where #

Default configuration for a specific service.

Minimal complete definition

defServiceConfig

Methods

defServiceConfig :: config #

Default service configuration.

debugServiceConfig :: config #

Default debugging-only configuration. (Normally using HTTP instead of HTTPS for easier debugging.)

#### Instances

Instances details

DefaultServiceConfiguration (DdbConfiguration NormalQuery) # |
Instance details Defined in Aws.DynamoDb.Core Methods defServiceConfig :: DdbConfiguration NormalQuery # debugServiceConfig :: DdbConfiguration NormalQuery #
DefaultServiceConfiguration (IamConfiguration NormalQuery) # |
Instance details Defined in Aws.Iam.Core Methods defServiceConfig :: IamConfiguration NormalQuery # debugServiceConfig :: IamConfiguration NormalQuery #
DefaultServiceConfiguration (IamConfiguration UriOnlyQuery) # |
Instance details Defined in Aws.Iam.Core Methods defServiceConfig :: IamConfiguration UriOnlyQuery # debugServiceConfig :: IamConfiguration UriOnlyQuery #
DefaultServiceConfiguration (S3Configuration NormalQuery) # |
Instance details Defined in Aws.S3.Core Methods defServiceConfig :: S3Configuration NormalQuery # debugServiceConfig :: S3Configuration NormalQuery #
DefaultServiceConfiguration (S3Configuration UriOnlyQuery) # |
Instance details Defined in Aws.S3.Core Methods defServiceConfig :: S3Configuration UriOnlyQuery # debugServiceConfig :: S3Configuration UriOnlyQuery #
DefaultServiceConfiguration (SesConfiguration NormalQuery) # |
Instance details Defined in Aws.Ses.Core Methods defServiceConfig :: SesConfiguration NormalQuery # debugServiceConfig :: SesConfiguration NormalQuery #
DefaultServiceConfiguration (SesConfiguration UriOnlyQuery) # |
Instance details Defined in Aws.Ses.Core Methods defServiceConfig :: SesConfiguration UriOnlyQuery # debugServiceConfig :: SesConfiguration UriOnlyQuery #
DefaultServiceConfiguration (SdbConfiguration NormalQuery) # |
Instance details Defined in Aws.SimpleDb.Core Methods defServiceConfig :: SdbConfiguration NormalQuery # debugServiceConfig :: SdbConfiguration NormalQuery #
DefaultServiceConfiguration (SdbConfiguration UriOnlyQuery) # |
Instance details Defined in Aws.SimpleDb.Core Methods defServiceConfig :: SdbConfiguration UriOnlyQuery # debugServiceConfig :: SdbConfiguration UriOnlyQuery #
DefaultServiceConfiguration (SqsConfiguration NormalQuery) # |
Instance details Defined in Aws.Sqs.Core Methods defServiceConfig :: SqsConfiguration NormalQuery # debugServiceConfig :: SqsConfiguration NormalQuery #
DefaultServiceConfiguration (SqsConfiguration UriOnlyQuery) # |
Instance details Defined in Aws.Sqs.Core Methods defServiceConfig :: SqsConfiguration UriOnlyQuery # debugServiceConfig :: SqsConfiguration UriOnlyQuery #

# HTTP types

data Protocol #

Protocols supported by AWS. Currently, all AWS services use the HTTP or HTTPS protocols.

Constructors

HTTP |
HTTPS |

#### Instances

Instances details

Read Protocol # |
Instance details Defined in Aws.Core Methods readsPrec :: Int -> ReadS Protocol # readList :: ReadS [Protocol] # readPrec :: ReadPrec Protocol # readListPrec :: ReadPrec [Protocol] #
Show Protocol # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> Protocol -> ShowS # show :: Protocol -> String # showList :: [Protocol] -> ShowS #
Eq Protocol # |
Instance details Defined in Aws.Core Methods (==) :: Protocol -> Protocol -> Bool # (/=) :: Protocol -> Protocol -> Bool #
Ord Protocol # |
Instance details Defined in Aws.Core Methods compare :: Protocol -> Protocol -> Ordering # (<) :: Protocol -> Protocol -> Bool # (<=) :: Protocol -> Protocol -> Bool # (>) :: Protocol -> Protocol -> Bool # (>=) :: Protocol -> Protocol -> Bool # max :: Protocol -> Protocol -> Protocol # min :: Protocol -> Protocol -> Protocol #

defaultPort :: Protocol -> Int #

The default port to be used for a protocol if no specific port is specified.

data Method #

Request method. Not all request methods are supported by all services.

Constructors

Head | HEAD method. Put all request parameters in a query string and HTTP headers.
Get | GET method. Put all request parameters in a query string and HTTP headers.
PostQuery | POST method. Put all request parameters in a query string and HTTP headers, but send the query string as a POST payload
Post | POST method. Sends a service- and request-specific request body.
Put | PUT method.
Delete | DELETE method.

#### Instances

Instances details

Show Method # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> Method -> ShowS # show :: Method -> String # showList :: [Method] -> ShowS #
Eq Method # |
Instance details Defined in Aws.Core Methods (==) :: Method -> Method -> Bool # (/=) :: Method -> Method -> Bool #
Ord Method # |
Instance details Defined in Aws.Core Methods compare :: Method -> Method -> Ordering # (<) :: Method -> Method -> Bool # (<=) :: Method -> Method -> Bool # (>) :: Method -> Method -> Bool # (>=) :: Method -> Method -> Bool # max :: Method -> Method -> Method # min :: Method -> Method -> Method #

httpMethod :: Method -> Method #

HTTP method associated with a request method.